cdac.medinfo.sdk.hl7282.utils

## Enum EnumSegments

- java.lang.Object
- - java.lang.Enum<EnumSegments>
  - - cdac.medinfo.sdk.hl7282.utils.EnumSegments

- All Implemented Interfaces:
    ISegmentKey, java.io.Serializable, java.lang.Comparable<EnumSegments>

      public enum EnumSegments
      extends java.lang.Enum<EnumSegments>
      implements ISegmentKey

  This Enum contains all segments and Groups of HL7.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HL7_GROUP_ACCESSION_DETAIL` Enum constant of ACCESSION_DETAIL Group
    `HL7_GROUP_ADDITIONAL_DEMOGRAPHICS` Enum constant of ADDITIONAL_DEMOGRAPHICS Group
    `HL7_GROUP_ADJUSTMENT_PAYEE` Enum constant of ADJUSTMENT_PAYEE Group
    `HL7_GROUP_ADMINISTRATION` Enum constant of ADMINISTRATION Group
    `HL7_GROUP_ADVERSE_REACTION` Enum constant of ADVERSE_REACTION Group
    `HL7_GROUP_ALLERGY` Enum constant of ALLERGY Group
    `HL7_GROUP_ANTI_MICROBIAL_DEVICE_CYCLE_DATA` Enum constant of ANTI_MICROBIAL_DEVICE_CYCLE_DATA Group
    `HL7_GROUP_ANTI_MICROBIAL_DEVICE_DATA` Enum constant of ANTI_MICROBIAL_DEVICE_DATA Group
    `HL7_GROUP_APP_STATS` Enum constant of APP_STATS Group
    `HL7_GROUP_APP_STATUS` Enum constant of APP_STATUS Group
    `HL7_GROUP_APPOINTMENT_HISTORY` Enum constant of APPOINTMENT_HISTORY Group
    `HL7_GROUP_ASSOCIATED_OBSERVATION` Enum constant of ASSOCIATED_OBSERVATION Group
    `HL7_GROUP_ASSOCIATED_PERSON` Enum constant of ASSOCIATED_PERSON Group
    `HL7_GROUP_ASSOCIATED_RX_ADMIN` Enum constant of ASSOCIATED_RX_ADMIN Group
    `HL7_GROUP_ASSOCIATED_RX_ORDER` Enum constant of ASSOCIATED_RX_ORDER Group
    `HL7_GROUP_AUTHORIZATION` Enum constant of AUTHORIZATION Group
    `HL7_GROUP_AUTHORIZATION_CONTACT` Enum constant of AUTHORIZATION_CONTACT Group
    `HL7_GROUP_AUTHORIZATION_INFO` Enum constant of AUTHORIZATION_INFO Group
    `HL7_GROUP_AUTHORIZATION_REQUEST` Enum constant of AUTHORIZATION_REQUEST Group
    `HL7_GROUP_AUTHORIZATION_RESPONSE_INFO` Enum constant of AUTHORIZATION_RESPONSE_INFO Group
    `HL7_GROUP_BLOOD_UNIT` Enum constant of BLOOD_UNIT Group
    `HL7_GROUP_CERTIFICATE` Enum constant of CERTIFICATE Group
    `HL7_GROUP_CHOICE` Enum constant of CHOICE Group
    `HL7_GROUP_CLINICAL_HISTORY` Enum constant of CLINICAL_HISTORY Group
    `HL7_GROUP_CLINICAL_HISTORY_DETAIL` Enum constant of CLINICAL_HISTORY_DETAIL Group
    `HL7_GROUP_CLINICAL_HISTORY_OBJECT` Enum constant of CLINICAL_HISTORY_OBJECT Group
    `HL7_GROUP_CLINICAL_HISTORY_OBSERVATION` Enum constant of CLINICAL_HISTORY_OBSERVATION Group
    `HL7_GROUP_CLINICAL_ORDER` Enum constant of CLINICAL_ORDER Group
    `HL7_GROUP_CLINICAL_ORDER_DETAIL` Enum constant of CLINICAL_ORDER_DETAIL Group
    `HL7_GROUP_CLINICAL_ORDER_OBJECT` Enum constant of CLINICAL_ORDER_OBJECT Group
    `HL7_GROUP_CLINICAL_ORDER_OBSERVATION` Enum constant of CLINICAL_ORDER_OBSERVATION Group
    `HL7_GROUP_CLINICAL_ORDER_TIMING` Enum constant of CLINICAL_ORDER_TIMING Group
    `HL7_GROUP_CLOCK` Enum constant of CLOCK Group
    `HL7_GROUP_CLOCK_AND_STATISTICS` Enum constant of CLOCK_AND_STATISTICS Group
    `HL7_GROUP_CLOCK_AND_STATS_WITH_NOTES` Enum constant of CLOCK_AND_STATS_WITH_NOTES Group
    `HL7_GROUP_CLOCK_AND_STATS_WITH_NOTES_ALT` Enum constant of CLOCK_AND_STATS_WITH_NOTES_ALT Group
    `HL7_GROUP_COMMAND` Enum constant of COMMAND Group
    `HL7_GROUP_COMMAND_RESPONSE` Enum constant of COMMAND_RESPONSE Group
    `HL7_GROUP_COMMON_ORDER` Enum constant of COMMON_ORDER Group
    `HL7_GROUP_COMPONENT` Enum constant of COMPONENT Group
    `HL7_GROUP_CONTAINER` Enum constant of CONTAINER Group
    `HL7_GROUP_CONTAINER_OBSERVATION` Enum constant of CONTAINER_OBSERVATION Group
    `HL7_GROUP_DEFINITION` Enum constant of DEFINITION Group
    `HL7_GROUP_DIAGNOSIS` Enum constant of DIAGNOSIS Group
    `HL7_GROUP_DIET` Enum constant of DIET Group
    `HL7_GROUP_DISPENSE` Enum constant of DISPENSE Group
    `HL7_GROUP_DONATION` Enum constant of HL7_GROUP_DONATION Group
    `HL7_GROUP_DONATION_OBSERVATION` Enum constant of DONATION_OBSERVATION Group
    `HL7_GROUP_DONATION_ORDER` Enum constant of DONATION_ORDER Group
    `HL7_GROUP_DONOR` Enum constant of DONOR Group
    `HL7_GROUP_DONOR_ORDER` Enum constant of DONOR_ORDER Group
    `HL7_GROUP_DONOR_REGISTRATION` Enum constant of DONOR_REGISTRATION Group
    `HL7_GROUP_ENCODED_ORDER` Enum constant of ENCODED_ORDER Group
    `HL7_GROUP_ENCODING` Enum constant of ENCODING Group
    `HL7_GROUP_EXPERIENCE` Enum constant of EXPERIENCE Group
    `HL7_GROUP_FINANCIAL` Enum constant of FINANCIAL Group
    `HL7_GROUP_FINANCIAL_COMMON_ORDER` Enum constant of FINANCIAL_COMMON_ORDER Group
    `HL7_GROUP_FINANCIAL_INSURANCE` Enum constant of FINANCIAL_INSURANCE Group
    `HL7_GROUP_FINANCIAL_OBSERVATION` Enum constant of FINANCIAL_OBSERVATION Group
    `HL7_GROUP_FINANCIAL_ORDER` Enum constant of FINANCIAL_ORDER Group
    `HL7_GROUP_FINANCIAL_PROCEDURE` Enum constant of FINANCIAL_PROCEDURE Group
    `HL7_GROUP_FINANCIAL_TIMING_QUANTITY` Enum constant of FINANCIAL_TIMING_QUANTITY Group
    `HL7_GROUP_GENERAL_RESOURCE` Enum constant of GENERAL_RESOURCE Group
    `HL7_GROUP_GIVE` Enum constant of GIVE Group
    `HL7_GROUP_GOAL` Enum constant of GOAL Group
    `HL7_GROUP_GOAL_OBSERVATION` Enum constant of GOAL_OBSERVATION Group
    `HL7_GROUP_GOAL_PATHWAY` Enum constant of GOAL_PATHWAY Group
    `HL7_GROUP_GOAL_ROLE` Enum constant of GOAL_ROL Group
    `HL7_GROUP_GUARANTOR` Enum constant of GUARANTOR Group
    `HL7_GROUP_GUARANTOR_INSURANCE` Enum constant of GUARANTOR_INSURANCE Group
    `HL7_GROUP_INSURANCE` Enum constant of INSURANCE Group
    `HL7_GROUP_INVOICE_INFORMATION_CANCEL` Enum constant of INVOICE_INFORMATION_CANCEL Group
    `HL7_GROUP_INVOICE_INFORMATION_SUBMIT` Enum constant of INVOICE_INFORMATION_SUBMIT Group
    `HL7_GROUP_INVOICE_PROCESSING_RESULTS_INFO` Enum constant of INVOICE_PROCESSING_RESULTS_INFO Group
    `HL7_GROUP_LOCATION_RESOURCE` Enum constant of LOCATION_RESOURCE Group
    `HL7_GROUP_MATERIAL_ITEM_RECORD` Enum constant of MATERIAL_ITEM_RECORD Group
    `HL7_GROUP_MATERIAL_LOCATION` Enum constant of MATERIAL_LOCATION Group
    `HL7_GROUP_MEDICATION_ADMINISTRATION_DETAIL` Enum constant of MEDICATION_ADMINISTRATION_DETAIL Group
    `HL7_GROUP_MEDICATION_ADMINISTRATION_OBSERVATION` Enum constant of MEDICATION_ADMINISTRATION_OBSERVATION Group
    `HL7_GROUP_MEDICATION_ENCODING_DETAIL` Enum constant of MEDICATION_ENCODING_DETAIL Group
    `HL7_GROUP_MEDICATION_ENCODING_OBSERVATION` Enum constant of MEDICATION_ENCODING_OBSERVATION Group
    `HL7_GROUP_MEDICATION_HISTORY` Enum constant of MEDICATION_HISTORY Group
    `HL7_GROUP_MEDICATION_ORDER_DETAIL` Enum constant of MEDICATION_ORDER_DETAIL Group
    `HL7_GROUP_MEDICATION_ORDER_OBSERVATION` Enum constant of MEDICATION_ORDER_OBSERVATION Group
    `HL7_GROUP_MERGE_INFO` Enum constant of MERGE_INFO Group
    `HL7_GROUP_MF_CDM` Enum constant of MF_CDM Group
    `HL7_GROUP_MF_CLIN_STUDY` Enum constant of MF_CLIN_STUDY Group
    `HL7_GROUP_MF_CLIN_STUDY_SCHED` Enum constant of MF_CLIN_STUDY_SCHED Group
    `HL7_GROUP_MF_DRG` Enum constant of MF_DRG Group
    `HL7_GROUP_MF_INV_ITEM` Enum constant of MF_INV_ITEM Group
    `HL7_GROUP_MF_LOC_DEPT` Enum constant of MF_LOC_DEPT Group
    `HL7_GROUP_MF_LOCATION` Enum constant of MF_LOCATION Group
    `HL7_GROUP_MF_OBS_ATTRIBUTES` Enum constant of MF_OBS_ATTRIBUTES Group
    `HL7_GROUP_MF_OBS_OTHER_ATTRIBUTES` Enum constant of MF_OBS_OTHER_ATTRIBUTES Group
    `HL7_GROUP_MF_PAYER` Enum constant of MF_PAYER Group
    `HL7_GROUP_MF_PHASE_SCHED_DETAIL` Enum constant of MF_PHASE_SCHED_DETAIL Group
    `HL7_GROUP_MF_QUERY` Enum constant of MF_QUERY Group
    `HL7_GROUP_MF_STAFF` Enum constant of MF_STAFF Group
    `HL7_GROUP_MF_TEST_BATT_DETAIL` Enum constant of MF_TEST_BATT_DETAIL Group
    `HL7_GROUP_MF_TEST_BATTERIES` Enum constant of MF_TEST_BATTERIES Group
    `HL7_GROUP_MF_TEST_CALC_DETAIL` Enum constant of MF_TEST_CALC_DETAIL Group
    `HL7_GROUP_MF_TEST_CALCULATED` Enum constant of MF_TEST_CALCULATED Group
    `HL7_GROUP_MF_TEST_CAT_DETAIL` Enum constant of MF_TEST_CAT_DETAIL Group
    `HL7_GROUP_MF_TEST_CATEGORICAL` Enum constant of MF_TEST_CATEGORICAL Group
    `HL7_GROUP_MF_TEST_NUMERIC` Enum constant of MF_TEST_NUMERIC Group
    `HL7_GROUP_NK1_TIMING_QUANTITY` Enum constant of NK1_TIMING_QUANTITY Group
    `HL7_GROUP_NOTIFICATION` Enum constant of NOTIFICATION Group
    `HL7_GROUP_OBR_ETC`
    `HL7_GROUP_OBSERVATION` Enum constant of OBSERVATION Group
    `HL7_GROUP_OBSERVATION_PRIOR` Enum constant of OBSERVATION_PRIOR Group
    `HL7_GROUP_OBSERVATION_REQUEST` Enum constant of OBSERVATION_REQUEST Group
    `HL7_GROUP_OBSERVATION_RESULT` Enum constant of OBSERVATION_RESULT Group
    `HL7_GROUP_OBSERVATIONS_ON_PATIENT` Enum constant of OBSERVATIONS_ON_PATIENT Group
    `HL7_GROUP_ORDER` Enum constant of ORDER Group
    `HL7_GROUP_ORDER_DETAIL` Enum constant of ORDER_DETAIL Group
    `HL7_GROUP_ORDER_DETAIL_SUPPLEMENT` Enum constant of ORDER_DETAIL_SUPPLEMENT Group
    `HL7_GROUP_ORDER_DIET` Enum constant of ORDER_DIET Group
    `HL7_GROUP_ORDER_DOCUMENT` Enum constant of ORDER_DOCUMENT Group
    `HL7_GROUP_ORDER_ENCODED` Enum constant of ORDER_ENCODED Group
    `HL7_GROUP_ORDER_OBSERVATION` Enum constant of ORDER_OBSERVATION Group
    `HL7_GROUP_ORDER_PRIOR` Enum constant of ORDER_PRIOR Group
    `HL7_GROUP_ORDER_RELATED_OBSERVATION` Enum constant of ORDER_RELATED_OBSERVATION Group
    `HL7_GROUP_ORDER_SPECIMEN` Enum constant of ORDER_SPECIMEN Group
    `HL7_GROUP_ORDER_STATUS` Enum constant of ORDER_STATUS Group
    `HL7_GROUP_ORDER_TRAY` Enum constant of ORDER_TRAY Group
    `HL7_GROUP_PACKAGE` Enum constant of PACKAGE Group
    `HL7_GROUP_PACKAGING` Enum constant of PACKAGING Group
    `HL7_GROUP_PAT_INFO` Enum constant of PAT_INFO Group
    `HL7_GROUP_PATHWAY` Enum constant of PATHWAY Group
    `HL7_GROUP_PATHWAY_OBSERVATION` Enum constant of PATHWAY_OBSERVATION Group
    `HL7_GROUP_PATHWAY_ROLE` Enum constant of GROUP_PATHWAY_ROLE Group
    `HL7_GROUP_PATIENT` Enum constant of PATIENT Group
    `HL7_GROUP_PATIENT_IDENTIFICATION1` Enum constant of PATIENT_IDENTIFICATION1 Group
    `HL7_GROUP_PATIENT_IDENTIFICATION2` Enum constant of PATIENT_IDENTIFICATION2 Group
    `HL7_GROUP_PATIENT_INFO` Enum constant of PATIENT_INFO Group
    `HL7_GROUP_PATIENT_OBSERVATION` Enum constant of PATIENT_OBSERVATION Group
    `HL7_GROUP_PATIENT_PRIOR` Enum constant of PATIENT_PRIOR Group
    `HL7_GROUP_PATIENT_RESULT` Enum constant of PATIENT_RESULT Group
    `HL7_GROUP_PATIENT_VISIT` Enum constant of PATIENT_VISIT Group
    `HL7_GROUP_PATIENT_VISIT_OBSERVATION` Enum constant of PATIENT_VISIT_OBSERVATION Group
    `HL7_GROUP_PATIENT_VISIT_PRIOR` Enum constant of PATIENT_VISIT_PRIOR Group
    `HL7_GROUP_PAYER_MF_COVERAGE` Enum constant of PAYER_MF_COVERAGE Group
    `HL7_GROUP_PAYER_MF_ENTRY` Enum constant of PAYER_MF_ENTRY Group
    `HL7_GROUP_PAYMENT_REMITTANCE_DETAIL_INFO` Enum constant of PAYMENT_REMITTANCE_DETAIL_INFO Group
    `HL7_GROUP_PAYMENT_REMITTANCE_HEADER_INFO` Enum constant of PAYMENT_REMITTANCE_HEADER_INFO
    `HL7_GROUP_PERSON_OBSERVATION` Enum constant of PERSON_OBSERVATION Group
    `HL7_GROUP_PERSONNEL_RESOURCE` Enum constant of PERSONNEL_RESOURCE Group
    `HL7_GROUP_PEX_CAUSE` Enum constant of PEX_CAUSE Group
    `HL7_GROUP_PEX_OBSERVATION` Enum constant of PEX_OBSERVATION Group
    `HL7_GROUP_PHARMACY_TREATMENT_INFUSION_ORDER` Enum constant of PHARMACY_TREATMENT_INFUSION_ORDER Group
    `HL7_GROUP_PRIOR_RESULT` Enum constant of PRIOR_RESULT Group
    `HL7_GROUP_PROBLEM` Enum constant of PROBLEM Group
    `HL7_GROUP_PROBLEM_OBSERVATION` Enum constant of PROBLEM_OBSERVATION Group
    `HL7_GROUP_PROBLEM_PATHWAY` Enum constant of PROBLEM_PATHWAY Group
    `HL7_GROUP_PROBLEM_ROLE` Enum constant of PROBLEM_ROLE Group
    `HL7_GROUP_PROCEDURE` Enum constant of PROCEDURE Group
    `HL7_GROUP_PRODUCT` Enum constant of PRODUCT Group
    `HL7_GROUP_PRODUCT_SERVICE_GROUP` Enum constant of PRODUCT_SERVICE Group
    `HL7_GROUP_PRODUCT_SERVICE_LINE_INFO` Enum constant of PRODUCT_SERVICE_LINE_INFO Group
    `HL7_GROUP_PRODUCT_SERVICE_LINE_ITEM` Enum constant of PRODUCT_SERVICE_LINE_ITEM group
    `HL7_GROUP_PRODUCT_SERVICE_SECTION` Enum constant of PRODUCT_SERVICE_SECTION Group
    `HL7_GROUP_PRODUCT_STATUS` Enum constant of PRODUCT_STATUS Group
    `HL7_GROUP_PROVIDER` Enum constant of PROVIDER Group
    `HL7_GROUP_PROVIDER_CONTACT` Enum constant of PROVIDER_CONTACT Group
    `HL7_GROUP_PSG` Enum constant of PSG Group
    `HL7_GROUP_PSL_ITEM_INFO` Enum constant of PSL_ITEM_INFO Group
    `HL7_GROUP_PURCHASING_VENDOR` Enum constant of PURCHASING_VENDOR Group
    `HL7_GROUP_QBP` Enum constant of QBP Group
    `HL7_GROUP_QRY_WITH_DETAIL` Enum constant of QRY_WITH_DETAIL Group
    `HL7_GROUP_QUERY` Enum constant of QUERY Group
    `HL7_GROUP_QUERY_ACK` Enum constant of QUERY_ACK Group
    `HL7_GROUP_QUERY_ACK_IPR` Enum constant of QUERY_ACK_IPR Group
    `HL7_GROUP_QUERY_INFORMATION` Enum constant of QUERY_INFORMATION Group
    `HL7_GROUP_QUERY_RESPONSE` Enum constant of QUERY_RESPONSE Group
    `HL7_GROUP_REASSESSMENT_REQUEST_INFO` Enum constant of REASSESSMENT_REQUEST_INFO Group
    `HL7_GROUP_REQUEST` Enum constant of REQUEST Group
    `HL7_GROUP_RESOURCE_DETAIL` Enum constant of RESOURCE_DETAIL Group
    `HL7_GROUP_RESOURCE_OBJECT` Enum constant of RESOURCE_OBJECT Group
    `HL7_GROUP_RESOURCE_OBSERVATION` Enum constant of RESOURCE_OBSERVATION Group
    `HL7_GROUP_RESOURCES` Enum constant of RESOURCES Group
    `HL7_GROUP_RESPONSE` Enum constant of RESPONSE Group
    `HL7_GROUP_RESULT` Enum constant of RESULT Group
    `HL7_GROUP_RESULTS` Enum constant of RESULTS Group
    `HL7_GROUP_RESULTS_NOTES` Enum constant of RESULTS_NOTES Group
    `HL7_GROUP_ROLE_CLINICAL_HISTORY` Enum constant of ROLE_CLINICAL_HISTORY Group
    `HL7_GROUP_ROLE_CLINICAL_HISTORY_OBJECT` Enum constant of ROLE_CLINICAL_HISTORY_OBJECT Group
    `HL7_GROUP_ROLE_GOAL` Enum constant of ROLE_GOAL Group
    `HL7_GROUP_ROLE_GOAL_OBJECT` Enum constant of ROLE_GOAL_OBJEC Group
    `HL7_GROUP_ROLE_OBSERVATION` Enum constant of ROLE_OBSERVATION Group
    `HL7_GROUP_ROLE_PATHWAY` Enum constant of ROLE_PATHWAY Group
    `HL7_GROUP_ROLE_PATHWAY_OBJECT` Enum constant of ROLE_PATHWAY_OBJECT Group
    `HL7_GROUP_ROLE_PROBLEM` Enum constant of ROLE_PROBLEM Group
    `HL7_GROUP_ROLE_PROBLEM_OBJECT` Enum constant of ROLE_PROBLEM_OBJECT Group
    `HL7_GROUP_ROW_DEFINITION` Enum constant of ROW_DEFINITION Group
    `HL7_GROUP_RX_ADMIN` Enum constant of RX_ADMIN Group
    `HL7_GROUP_RX_ADMINISTRATION` Enum constant of RX_ADMINISTRATION Group
    `HL7_GROUP_RX_ORDER` Enum constant of RX_ORDER Group
    `HL7_GROUP_SCHEDULE` Enum constant of SCHEDULE Group
    `HL7_GROUP_SERVICE` Enum constant of SERVICE Group
    `HL7_GROUP_SHIPMENT` Enum constant of SHIPMENT Group
    `HL7_GROUP_SHIPMENT_OBSERVATION` Enum constant of SHIPMENT_OBSERVATION Group
    `HL7_GROUP_SHIPPING_OBSERVATION` Enum constant of SHIPPING_OBSERVATION Group
    `HL7_GROUP_SPECIMEN` Enum constant of SPECIMEN Group
    `HL7_GROUP_SPECIMEN_CONTAINER` Enum constant of SPECIMEN_CONTAINER Group
    `HL7_GROUP_SPECIMEN_CONTAINER_IN_PACKAGE` Enum constant of SPECIMEN_CONTAINER_IN_PACKAGE Group
    `HL7_GROUP_SPECIMEN_IN_PACKAGE` Enum constant of SPECIMEN_IN_PACKAGE Group
    `HL7_GROUP_SPECIMEN_OBSERVATION` Enum constant of SPECIMEN_OBSERVATION Group
    `HL7_GROUP_SPECIMEN_SHIPMENT` Enum constant of SPECIMEN_SHIPMENT Group
    `HL7_GROUP_STAFF` Enum constant of STAFF Group
    `HL7_GROUP_STERILIZATION` Enum constant of STERILIZATION Group
    `HL7_GROUP_STUDY` Enum constant of STUDY Group
    `HL7_GROUP_STUDY_OBSERVATION` Enum constant of STUDY_OBSERVATION Group
    `HL7_GROUP_STUDY_PHARM` Enum constant of STUDY_PHARM Group
    `HL7_GROUP_STUDY_PHASE` Enum constant of STUDY_PHASE Group
    `HL7_GROUP_STUDY_SCHEDULE` Enum constant of STUDY_SCHEDULE Group
    `HL7_GROUP_SUBJECT_PERSON_OR_ANIMAL_IDENTIFICATION` Enum constant of SUBJECT_PERSON_OR_ANIMAL_IDENTIFICATION Group
    `HL7_GROUP_SUBJECT_POPULATION_OR_LOCATION_IDENTIFICATION` Enum constant of SUBJECT_POPULATION_OR_LOCATION_IDENTIFICATION Group
    `HL7_GROUP_TEST_CONFIGURATION` Enum constant of TEST_CONFIGURATION Group
    `HL7_GROUP_TIMING` Enum constant of TIMING Group
    `HL7_GROUP_TIMING_DIET` Enum constant of TIMING_DIET Group
    `HL7_GROUP_TIMING_ENCODED` Enum constant of TIMING_ENCODED Group
    `HL7_GROUP_TIMING_GIVE` Enum constant of TIMING_GIVE Group
    `HL7_GROUP_TIMING_PRIOR` Enum constant of TIMING_PRIOR Group
    `HL7_GROUP_TIMING_QUANTITY` Enum constant of TIMING_QUANTITY Group
    `HL7_GROUP_TIMING_TRAY` Enum constant of TIMING_TRAY Group
    `HL7_GROUP_TREATMENT` Enum constant of TREATMENT Group
    `HL7_GROUP_TRIPLE_DOT`
    `HL7_GROUP_UNKNOWN` Enum constant of UNKNOWN Group
    `HL7_GROUP_VISIT` Enum constant of VISIT Group
    `HL7_SEG_ABS` Enum constant of ABS Segment
    `HL7_SEG_ACC` Enum constant of ACC Segment
    `HL7_SEG_ADD` Enum constant of ADD Segment
    `HL7_SEG_ADJ` Enum constant of ADJ Segment
    `HL7_SEG_AFF` Enum constant of AFF Segment
    `HL7_SEG_AIG` Enum constant of AIG Segment
    `HL7_SEG_AIL` Enum constant of AIL Segment
    `HL7_SEG_AIP` Enum constant of AIP Segment
    `HL7_SEG_AIS` Enum constant of AIS Segment
    `HL7_SEG_AL1` Enum constant of AL1 Segment
    `HL7_SEG_APR` Enum constant of APR Segment
    `HL7_SEG_ARQ` Enum constant of ARQ Segment
    `HL7_SEG_ARV` Enum constant of ARV Segment
    `HL7_SEG_AUT` Enum constant of AUT Segment
    `HL7_SEG_BHS` Enum constant of BHS Segment
    `HL7_SEG_BLC` Enum constant of BLC Segment
    `HL7_SEG_BLG` Enum constant of BLG Segment
    `HL7_SEG_BPO` Enum constant of BPO Segment
    `HL7_SEG_BPX` Enum constant of BPX Segment
    `HL7_SEG_BTS` Enum constant of BTS Segment
    `HL7_SEG_BTX` Enum constant of BTX Segment
    `HL7_SEG_BUI` Enum constant of BUI Segment
    `HL7_SEG_CDM` Enum constant of CDM Segment
    `HL7_SEG_CDO` Enum constant of CDO Segment
    `HL7_SEG_CER` Enum constant of CER Segment
    `HL7_SEG_CM0` Enum constant of CM0 Segment
    `HL7_SEG_CM1` Enum constant of CM1 Segment
    `HL7_SEG_CM2` Enum constant of CM2 Segment
    `HL7_SEG_CNS` Enum constant of CNS Segment
    `HL7_SEG_CON` Enum constant of CON Segment
    `HL7_SEG_CSP` Enum constant of CSP Segment
    `HL7_SEG_CSR` Enum constant of CSR Segment
    `HL7_SEG_CSS` Enum constant of CSS Segment
    `HL7_SEG_CTD` Enum constant of CTD Segment
    `HL7_SEG_CTI` Enum constant of CTI Segment
    `HL7_SEG_DB1` Enum constant of DB1 Segment
    `HL7_SEG_DG1` Enum constant of DG1 Segment
    `HL7_SEG_DMI` Enum constant of DMI Segment
    `HL7_SEG_DON` Enum constant of DON Segment
    `HL7_SEG_DPS` Enum constant of DPS Segment
    `HL7_SEG_DRG` Enum constant of DRG Segment
    `HL7_SEG_DSC` Enum constant of DSC Segment
    `HL7_SEG_DSP` Enum constant of DSP Segment
    `HL7_SEG_ECD` Enum constant of ECD Segment
    `HL7_SEG_ECR` Enum constant of ECR Segment
    `HL7_SEG_EDU` Enum constant of EDU Segment
    `HL7_SEG_EQL` Enum constant of EQL Segment
    `HL7_SEG_EQP` Enum constant of EQP Segment
    `HL7_SEG_EQU` Enum constant of EQU Segment
    `HL7_SEG_ERQ` Enum constant of ERQ Segment
    `HL7_SEG_ERR` Enum constant of ERR Segment
    `HL7_SEG_EVN` Enum constant of EVN Segment
    `HL7_SEG_FAC` Enum constant of FAC Segment
    `HL7_SEG_FHS` Enum constant of FHS Segment
    `HL7_SEG_FT1` Enum constant of FT1 Segment
    `HL7_SEG_FTS` Enum constant of FTS Segment
    `HL7_SEG_GOL` Enum constant of GOL Segment
    `HL7_SEG_GP1` Enum constant of GP1 Segment
    `HL7_SEG_GP2` Enum constant of GP2 Segment
    `HL7_SEG_GT1` Enum constant of GT1 Segment
    `HL7_SEG_IAM` Enum constant of IAM Segment
    `HL7_SEG_IAR` Enum constant of IAR Segment
    `HL7_SEG_IIM` Enum constant of IIM Segment
    `HL7_SEG_ILT` Enum constant of ILT Segment
    `HL7_SEG_IN1` Enum constant of IN1 Segment
    `HL7_SEG_IN2` Enum constant of IN2 Segment
    `HL7_SEG_IN3` Enum constant of IN3 Segment
    `HL7_SEG_INV` Enum constant of INV Segment
    `HL7_SEG_IPC` Enum constant of IPC Segment
    `HL7_SEG_IPR` Enum constant of IPR Segment
    `HL7_SEG_ISD` Enum constant of ISD Segment
    `HL7_SEG_ITM` Enum constant of ITM Segment
    `HL7_SEG_IVC` Enum constant of IVC Segment
    `HL7_SEG_IVT` Enum constant of IVT Segment
    `HL7_SEG_LAN` Enum constant of LAN Segment
    `HL7_SEG_LCC` Enum constant of LCC Segment
    `HL7_SEG_LCH` Enum constant of LCH Segment
    `HL7_SEG_LDP` Enum constant of LDP Segment
    `HL7_SEG_LOC` Enum constant of LOC Segment
    `HL7_SEG_LRL` Enum constant of LRL Segment
    `HL7_SEG_MCP` Enum constant of MCP Segment
    `HL7_SEG_MFA` Enum constant of MFA Segment
    `HL7_SEG_MFE` Enum constant of MFE Segment
    `HL7_SEG_MFI` Enum constant of MFI Segment
    `HL7_SEG_MRG` Enum constant of MRG Segment
    `HL7_SEG_MSA` Enum constant of MSA Segment
    `HL7_SEG_MSH` Enum constant of MSH Segment
    `HL7_SEG_NCK` Enum constant of NCK Segment
    `HL7_SEG_NDS` Enum constant of NDS Segment
    `HL7_SEG_NK1` Enum constant of NK1 Segment
    `HL7_SEG_NPU` Enum constant of NPU Segment
    `HL7_SEG_NSC` Enum constant of NSC Segment
    `HL7_SEG_NST` Enum constant of NST Segment
    `HL7_SEG_NTE` Enum constant of NTE Segment
    `HL7_SEG_NTE_APPLICATION_CONTROL_LEVEL_STATISTICS` Enum constant of NTE segment in APPLICATION_CONTROL_LEVEL_STATISTICS Group
    `HL7_SEG_NTE_APPLICATION_STATUS_CHANGE` Enum constant of NTE segment in APPLICATION_STATUS_CHANGE Group
    `HL7_SEG_NTE_SYSTEM_CLOCK` Enum constant of NTE segment in SYSTEM_CLOCK GROUP
    `HL7_SEG_OBR` Enum constant of OBR Segment
    `HL7_SEG_OBX` Enum constant of OBX Segment
    `HL7_SEG_ODS` Enum constant of ODS Segment
    `HL7_SEG_ODT` Enum constant of ODT Segment
    `HL7_SEG_OM1` Enum constant of OM1 Segment
    `HL7_SEG_OM2` Enum constant of OM2 Segment
    `HL7_SEG_OM3` Enum constant of OM3 Segment
    `HL7_SEG_OM4` Enum constant of OM4 Segment
    `HL7_SEG_OM5` Enum constant of OM5 Segment
    `HL7_SEG_OM6` Enum constant of OM6 Segment
    `HL7_SEG_OM7` Enum constant of OM7 Segment
    `HL7_SEG_OMC` Enum constant of OMC Segment
    `HL7_SEG_ORC` Enum constant of ORC Segment
    `HL7_SEG_ORDER_DETAIL` Enum constant of SEG_ORDER_DETAIL Group
    `HL7_SEG_ORG` Enum constant of ORG Segment
    `HL7_SEG_OVR` Enum constant of OVR Segment
    `HL7_SEG_PAC` Enum constant of PAC Segment
    `HL7_SEG_PCE` Enum constant of PCE Segment
    `HL7_SEG_PCR` Enum constant of PCR Segment
    `HL7_SEG_PD1` Enum constant of PD1 Segment
    `HL7_SEG_PDA` Enum constant of PDA Segment
    `HL7_SEG_PDC` Enum constant of PDC Segment
    `HL7_SEG_PEO` Enum constant of PEO Segment
    `HL7_SEG_PES` Enum constant of PES Segment
    `HL7_SEG_PID` Enum constant of PID Segment
    `HL7_SEG_PKG` Enum constant of PKG Segment
    `HL7_SEG_PM1` Enum constant of PM1 Segment
    `HL7_SEG_PMT` Enum constant of PMT Segment
    `HL7_SEG_PR1` Enum constant of PR1 Segment
    `HL7_SEG_PRA` Enum constant of PRA Segment
    `HL7_SEG_PRB` Enum constant of PRB Segment
    `HL7_SEG_PRC` Enum constant of PRC Segment
    `HL7_SEG_PRD` Enum constant of PRD Segment
    `HL7_SEG_PRT` Enum constant of PRT Segment
    `HL7_SEG_PSG` Enum constant of PSG Segment
    `HL7_SEG_PSH` Enum constant of PSH Segment
    `HL7_SEG_PSL` Enum constant of PSL Segment
    `HL7_SEG_PSS` Enum constant of PSS Segment
    `HL7_SEG_PTH` Enum constant of PTH Segment
    `HL7_SEG_PV1` Enum constant of PV1 Segment
    `HL7_SEG_PV2` Enum constant of PV2 Segment
    `HL7_SEG_PYE` Enum constant of PYE Segment
    `HL7_SEG_QAK` Enum constant of QAK Segment
    `HL7_SEG_QID` Enum constant of QID Segment
    `HL7_SEG_QPD` Enum constant of QPD Segment
    `HL7_SEG_QRI` Enum constant of QRI Segment
    `HL7_SEG_RCP` Enum constant of RCP Segment
    `HL7_SEG_RDF` Enum constant of RDF Segment
    `HL7_SEG_RDT` Enum constant of RDT Segment
    `HL7_SEG_REL` Enum constant of REL Segment
    `HL7_SEG_RF1` Enum constant of RF1 Segment
    `HL7_SEG_RFI` Enum constant of RFI Segment
    `HL7_SEG_RGS` Enum constant of RGS Segment
    `HL7_SEG_RMI` Enum constant of RMI Segment
    `HL7_SEG_ROL` Enum constant of ROL Segment
    `HL7_SEG_ROL_CERTIFICATE` Enum constant of ROL_CERTIFICATE Segment
    `HL7_SEG_ROL_EQUIPMENT_DETAIL` Enum constant of ROL_EQUIPMENT_DETAIL Segment
    `HL7_SEG_ROL_FINANCIAL_INSURANCE` Enum constant of ROL_FINANCIAL_INSURANCE Segment
    `HL7_SEG_ROL_GOAL` Enum constant of ROL_GOAL Segment
    `HL7_SEG_ROL_INSURANCE` Enum constant of ROL_INSURANCE Segment
    `HL7_SEG_ROL_PATHWAY` Enum constant of ROL_PATHWAY Segment
    `HL7_SEG_ROL_PATIENT_IDENTIFICATION` Enum constant of ROL segment in PAT_IDENTIFICATION Group
    `HL7_SEG_ROL_PATIENT_VISIT` Enum constant of ROL Psegment in PATIENT VISIT Group
    `HL7_SEG_ROL_PROBLEM` Enum constant of ROL_PROBLEM Segment
    `HL7_SEG_ROL_PROCEDURE` Enum constant of ROL_PROCEDURE Segment
    `HL7_SEG_RQ1` Enum constant of RQ1 Segment
    `HL7_SEG_RQD` Enum constant of RQD Segment
    `HL7_SEG_RXA` Enum constant of RXA Segment
    `HL7_SEG_RXC` Enum constant of RXC Segment
    `HL7_SEG_RXD` Enum constant of RXD Segment
    `HL7_SEG_RXE` Enum constant of RXE Segment
    `HL7_SEG_RXG` Enum constant of RXG Segment
    `HL7_SEG_RXO` Enum constant of RXO Segment
    `HL7_SEG_RXR` Enum constant of RXR Segment
    `HL7_SEG_RXV` Enum constant of RXV Segment
    `HL7_SEG_SAC` Enum constant of SAC Segment
    `HL7_SEG_SCD` Enum constant of SCD Segment
    `HL7_SEG_SCH` Enum constant of SCH Segment
    `HL7_SEG_SCP` Enum constant of SCP Segment
    `HL7_SEG_SDD` Enum constant of SDD Segment
    `HL7_SEG_SFT` Enum constant of SFT Segment
    `HL7_SEG_SGH` Enum constant of SGH Segment
    `HL7_SEG_SGT` Enum constant of SGT Segment
    `HL7_SEG_SHP` Enum constant of SHP Segment
    `HL7_SEG_SID` Enum constant of SID Segment
    `HL7_SEG_SLT` Enum constant of SLT Segment
    `HL7_SEG_SPM` Enum constant of SPM Segment
    `HL7_SEG_SPR` Enum constant of SPR Segment
    `HL7_SEG_STF` Enum constant of STF Segment
    `HL7_SEG_STZ` Enum constant of STZ Segment
    `HL7_SEG_TCC` Enum constant of TCC Segment
    `HL7_SEG_TCD` Enum constant of TCD Segment
    `HL7_SEG_TQ1` Enum constant of TQ1 Segment
    `HL7_SEG_TQ2` Enum constant of TQ2 Segment
    `HL7_SEG_TXA` Enum constant of TXA Segment
    `HL7_SEG_UAC` Enum constant of UAC Segment
    `HL7_SEG_UB2` Enum constant of UB2 Segment
    `HL7_SEG_VAR` Enum constant of VAR Segment
    `HL7_SEG_VND` Enum constant of VND Segment
    `HL7_SEG_VTQ` Enum constant of VTQ Segment

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumSegments` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumSegments[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HL7_SEG_ACC

          public static final EnumSegments HL7_SEG_ACC

      Enum constant of ACC Segment

    - #### HL7_SEG_ADD

          public static final EnumSegments HL7_SEG_ADD

      Enum constant of ADD Segment

    - #### HL7_SEG_AL1

          public static final EnumSegments HL7_SEG_AL1

      Enum constant of AL1 Segment

    - #### HL7_SEG_DB1

          public static final EnumSegments HL7_SEG_DB1

      Enum constant of DB1 Segment

    - #### HL7_SEG_DG1

          public static final EnumSegments HL7_SEG_DG1

      Enum constant of DG1 Segment

    - #### HL7_SEG_DRG

          public static final EnumSegments HL7_SEG_DRG

      Enum constant of DRG Segment

    - #### HL7_SEG_EVN

          public static final EnumSegments HL7_SEG_EVN

      Enum constant of EVN Segment

    - #### HL7_SEG_GT1

          public static final EnumSegments HL7_SEG_GT1

      Enum constant of GT1 Segment

    - #### HL7_SEG_IN1

          public static final EnumSegments HL7_SEG_IN1

      Enum constant of IN1 Segment

    - #### HL7_SEG_IN2

          public static final EnumSegments HL7_SEG_IN2

      Enum constant of IN2 Segment

    - #### HL7_SEG_IN3

          public static final EnumSegments HL7_SEG_IN3

      Enum constant of IN3 Segment

    - #### HL7_SEG_MSH

          public static final EnumSegments HL7_SEG_MSH

      Enum constant of MSH Segment

    - #### HL7_SEG_NK1

          public static final EnumSegments HL7_SEG_NK1

      Enum constant of NK1 Segment

    - #### HL7_SEG_NPU

          public static final EnumSegments HL7_SEG_NPU

      Enum constant of NPU Segment

    - #### HL7_SEG_OBX

          public static final EnumSegments HL7_SEG_OBX

      Enum constant of OBX Segment

    - #### HL7_SEG_PD1

          public static final EnumSegments HL7_SEG_PD1

      Enum constant of PD1 Segment

    - #### HL7_SEG_PDA

          public static final EnumSegments HL7_SEG_PDA

      Enum constant of PDA Segment

    - #### HL7_SEG_PID

          public static final EnumSegments HL7_SEG_PID

      Enum constant of PID Segment

    - #### HL7_SEG_PR1

          public static final EnumSegments HL7_SEG_PR1

      Enum constant of PR1 Segment

    - #### HL7_SEG_PV1

          public static final EnumSegments HL7_SEG_PV1

      Enum constant of PV1 Segment

    - #### HL7_SEG_PV2

          public static final EnumSegments HL7_SEG_PV2

      Enum constant of PV2 Segment

    - #### HL7_SEG_ROL

          public static final EnumSegments HL7_SEG_ROL

      Enum constant of ROL Segment

    - #### HL7_SEG_ROL_PATIENT_IDENTIFICATION

          public static final EnumSegments HL7_SEG_ROL_PATIENT_IDENTIFICATION

      Enum constant of ROL segment in PAT_IDENTIFICATION Group

    - #### HL7_SEG_ROL_PATIENT_VISIT

          public static final EnumSegments HL7_SEG_ROL_PATIENT_VISIT

      Enum constant of ROL Psegment in PATIENT VISIT Group

    - #### HL7_SEG_ROL_INSURANCE

          public static final EnumSegments HL7_SEG_ROL_INSURANCE

      Enum constant of ROL_INSURANCE Segment

    - #### HL7_SEG_ROL_PROCEDURE

          public static final EnumSegments HL7_SEG_ROL_PROCEDURE

      Enum constant of ROL_PROCEDURE Segment

    - #### HL7_SEG_ROL_GOAL

          public static final EnumSegments HL7_SEG_ROL_GOAL

      Enum constant of ROL_GOAL Segment

    - #### HL7_SEG_ROL_PROBLEM

          public static final EnumSegments HL7_SEG_ROL_PROBLEM

      Enum constant of ROL_PROBLEM Segment

    - #### HL7_SEG_ROL_PATHWAY

          public static final EnumSegments HL7_SEG_ROL_PATHWAY

      Enum constant of ROL_PATHWAY Segment

    - #### HL7_SEG_ROL_CERTIFICATE

          public static final EnumSegments HL7_SEG_ROL_CERTIFICATE

      Enum constant of ROL_CERTIFICATE Segment

    - #### HL7_SEG_ROL_EQUIPMENT_DETAIL

          public static final EnumSegments HL7_SEG_ROL_EQUIPMENT_DETAIL

      Enum constant of ROL_EQUIPMENT_DETAIL Segment

    - #### HL7_SEG_ROL_FINANCIAL_INSURANCE

          public static final EnumSegments HL7_SEG_ROL_FINANCIAL_INSURANCE

      Enum constant of ROL_FINANCIAL_INSURANCE Segment

    - #### HL7_SEG_SFT

          public static final EnumSegments HL7_SEG_SFT

      Enum constant of SFT Segment

    - #### HL7_SEG_UB2

          public static final EnumSegments HL7_SEG_UB2

      Enum constant of UB2 Segment

    - #### HL7_SEG_MRG

          public static final EnumSegments HL7_SEG_MRG

      Enum constant of MRG Segment

    - #### HL7_SEG_IAM

          public static final EnumSegments HL7_SEG_IAM

      Enum constant of IAM Segment

    - #### HL7_SEG_QAK

          public static final EnumSegments HL7_SEG_QAK

      Enum constant of QAK Segment

    - #### HL7_SEG_DSC

          public static final EnumSegments HL7_SEG_DSC

      Enum constant of DSC Segment

    - #### HL7_SEG_QPD

          public static final EnumSegments HL7_SEG_QPD

      Enum constant of QPD Segment

    - #### HL7_SEG_RCP

          public static final EnumSegments HL7_SEG_RCP

      Enum constant of RCP Segment

    - #### HL7_SEG_BLG

          public static final EnumSegments HL7_SEG_BLG

      Enum constant of BLG Segment

    - #### HL7_SEG_CTD

          public static final EnumSegments HL7_SEG_CTD

      Enum constant of CTD Segment

    - #### HL7_SEG_CTI

          public static final EnumSegments HL7_SEG_CTI

      Enum constant of CTI Segment

    - #### HL7_SEG_ERR

          public static final EnumSegments HL7_SEG_ERR

      Enum constant of ERR Segment

    - #### HL7_SEG_FT1

          public static final EnumSegments HL7_SEG_FT1

      Enum constant of FT1 Segment

    - #### HL7_SEG_MSA

          public static final EnumSegments HL7_SEG_MSA

      Enum constant of MSA Segment

    - #### HL7_SEG_OBR

          public static final EnumSegments HL7_SEG_OBR

      Enum constant of OBR Segment

    - #### HL7_SEG_ODS

          public static final EnumSegments HL7_SEG_ODS

      Enum constant of ODS Segment

    - #### HL7_SEG_ODT

          public static final EnumSegments HL7_SEG_ODT

      Enum constant of ODT Segment

    - #### HL7_SEG_ORC

          public static final EnumSegments HL7_SEG_ORC

      Enum constant of ORC Segment

    - #### HL7_SEG_RQ1

          public static final EnumSegments HL7_SEG_RQ1

      Enum constant of RQ1 Segment

    - #### HL7_SEG_RQD

          public static final EnumSegments HL7_SEG_RQD

      Enum constant of RQD Segment

    - #### HL7_SEG_RXO

          public static final EnumSegments HL7_SEG_RXO

      Enum constant of RXO Segment

    - #### HL7_SEG_TQ1

          public static final EnumSegments HL7_SEG_TQ1

      Enum constant of TQ1 Segment

    - #### HL7_SEG_TQ2

          public static final EnumSegments HL7_SEG_TQ2

      Enum constant of TQ2 Segment

    - #### HL7_SEG_NTE

          public static final EnumSegments HL7_SEG_NTE

      Enum constant of NTE Segment

    - #### HL7_SEG_NTE_APPLICATION_CONTROL_LEVEL_STATISTICS

          public static final EnumSegments HL7_SEG_NTE_APPLICATION_CONTROL_LEVEL_STATISTICS

      Enum constant of NTE segment in APPLICATION_CONTROL_LEVEL_STATISTICS Group

    - #### HL7_SEG_NTE_APPLICATION_STATUS_CHANGE

          public static final EnumSegments HL7_SEG_NTE_APPLICATION_STATUS_CHANGE

      Enum constant of NTE segment in APPLICATION_STATUS_CHANGE Group

    - #### HL7_SEG_NTE_SYSTEM_CLOCK

          public static final EnumSegments HL7_SEG_NTE_SYSTEM_CLOCK

      Enum constant of NTE segment in SYSTEM_CLOCK GROUP

    - #### HL7_SEG_RXE

          public static final EnumSegments HL7_SEG_RXE

      Enum constant of RXE Segment

    - #### HL7_SEG_RXR

          public static final EnumSegments HL7_SEG_RXR

      Enum constant of RXR Segment

    - #### HL7_SEG_RXC

          public static final EnumSegments HL7_SEG_RXC

      Enum constant of RXC Segment

    - #### HL7_SEG_BPO

          public static final EnumSegments HL7_SEG_BPO

      Enum constant of BPO Segment

    - #### HL7_SEG_BPX

          public static final EnumSegments HL7_SEG_BPX

      Enum constant of BPX Segment

    - #### HL7_SEG_BTX

          public static final EnumSegments HL7_SEG_BTX

      Enum constant of BTX Segment

    - #### HL7_SEG_IPC

          public static final EnumSegments HL7_SEG_IPC

      Enum constant of IPC Segment

    - #### HL7_SEG_RXA

          public static final EnumSegments HL7_SEG_RXA

      Enum constant of RXA Segment

    - #### HL7_SEG_RXD

          public static final EnumSegments HL7_SEG_RXD

      Enum constant of RXD Segment

    - #### HL7_SEG_RXG

          public static final EnumSegments HL7_SEG_RXG

      Enum constant of RXG Segment

    - #### HL7_SEG_RXV

          public static final EnumSegments HL7_SEG_RXV

      Enum constant of RXV Segment

    - #### HL7_SEG_CDO

          public static final EnumSegments HL7_SEG_CDO

      Enum constant of CDO Segment

    - #### HL7_SEG_SAC

          public static final EnumSegments HL7_SEG_SAC

      Enum constant of SAC Segment

    - #### HL7_SEG_SPM

          public static final EnumSegments HL7_SEG_SPM

      Enum constant of SPM Segment

    - #### HL7_SEG_TCD

          public static final EnumSegments HL7_SEG_TCD

      Enum constant of TCD Segment

    - #### HL7_SEG_CM0

          public static final EnumSegments HL7_SEG_CM0

      Enum constant of CM0 Segment

    - #### HL7_SEG_CM1

          public static final EnumSegments HL7_SEG_CM1

      Enum constant of CM1 Segment

    - #### HL7_SEG_CM2

          public static final EnumSegments HL7_SEG_CM2

      Enum constant of CM2 Segment

    - #### HL7_SEG_DMI

          public static final EnumSegments HL7_SEG_DMI

      Enum constant of DMI Segment

    - #### HL7_SEG_CSP

          public static final EnumSegments HL7_SEG_CSP

      Enum constant of CSP Segment

    - #### HL7_SEG_CSR

          public static final EnumSegments HL7_SEG_CSR

      Enum constant of CSR Segment

    - #### HL7_SEG_CSS

          public static final EnumSegments HL7_SEG_CSS

      Enum constant of CSS Segment

    - #### HL7_SEG_FAC

          public static final EnumSegments HL7_SEG_FAC

      Enum constant of FAC Segment

    - #### HL7_SEG_PCR

          public static final EnumSegments HL7_SEG_PCR

      Enum constant of PCR Segment

    - #### HL7_SEG_PDC

          public static final EnumSegments HL7_SEG_PDC

      Enum constant of PDC Segment

    - #### HL7_SEG_PEO

          public static final EnumSegments HL7_SEG_PEO

      Enum constant of PEO Segment

    - #### HL7_SEG_PES

          public static final EnumSegments HL7_SEG_PES

      Enum constant of PES Segment

    - #### HL7_SEG_PSH

          public static final EnumSegments HL7_SEG_PSH

      Enum constant of PSH Segment

    - #### HL7_SEG_SID

          public static final EnumSegments HL7_SEG_SID

      Enum constant of SID Segment

    - #### HL7_SEG_INV

          public static final EnumSegments HL7_SEG_INV

      Enum constant of INV Segment

    - #### HL7_SEG_PRB

          public static final EnumSegments HL7_SEG_PRB

      Enum constant of PRB Segment

    - #### HL7_SEG_GP1

          public static final EnumSegments HL7_SEG_GP1

      Enum constant of GP1 Segment

    - #### HL7_SEG_GP2

          public static final EnumSegments HL7_SEG_GP2

      Enum constant of GP2 Segment

    - #### HL7_SEG_BLC

          public static final EnumSegments HL7_SEG_BLC

      Enum constant of BLC Segment

    - #### HL7_SEG_RMI

          public static final EnumSegments HL7_SEG_RMI

      Enum constant of RMI Segment

    - #### HL7_SEG_ABS

          public static final EnumSegments HL7_SEG_ABS

      Enum constant of ABS Segment

    - #### HL7_SEG_VAR

          public static final EnumSegments HL7_SEG_VAR

      Enum constant of VAR Segment

    - #### HL7_SEG_PTH

          public static final EnumSegments HL7_SEG_PTH

      Enum constant of PTH Segment

    - #### HL7_SEG_GOL

          public static final EnumSegments HL7_SEG_GOL

      Enum constant of GOL Segment

    - #### HL7_SEG_RF1

          public static final EnumSegments HL7_SEG_RF1

      Enum constant of RF1 Segment

    - #### HL7_SEG_AUT

          public static final EnumSegments HL7_SEG_AUT

      Enum constant of AUT Segment

    - #### HL7_SEG_PRD

          public static final EnumSegments HL7_SEG_PRD

      Enum constant of PRD Segment

    - #### HL7_SEG_DSP

          public static final EnumSegments HL7_SEG_DSP

      Enum constant of DSP Segment

    - #### HL7_SEG_TXA

          public static final EnumSegments HL7_SEG_TXA

      Enum constant of TXA Segment

    - #### HL7_SEG_CON

          public static final EnumSegments HL7_SEG_CON

      Enum constant of CON Segment

    - #### HL7_SEG_QID

          public static final EnumSegments HL7_SEG_QID

      Enum constant of QID Segment

    - #### HL7_SEG_RDF

          public static final EnumSegments HL7_SEG_RDF

      Enum constant of RDF Segment

    - #### HL7_SEG_ARQ

          public static final EnumSegments HL7_SEG_ARQ

      Enum constant of ARQ Segment

    - #### HL7_SEG_SCH

          public static final EnumSegments HL7_SEG_SCH

      Enum constant of SCH Segment

    - #### HL7_SEG_RGS

          public static final EnumSegments HL7_SEG_RGS

      Enum constant of RGS Segment

    - #### HL7_SEG_QRI

          public static final EnumSegments HL7_SEG_QRI

      Enum constant of QRI Segment

    - #### HL7_SEG_AIS

          public static final EnumSegments HL7_SEG_AIS

      Enum constant of AIS Segment

    - #### HL7_SEG_AIG

          public static final EnumSegments HL7_SEG_AIG

      Enum constant of AIG Segment

    - #### HL7_SEG_AIL

          public static final EnumSegments HL7_SEG_AIL

      Enum constant of AIL Segment

    - #### HL7_SEG_AIP

          public static final EnumSegments HL7_SEG_AIP

      Enum constant of AIP Segment

    - #### HL7_SEG_APR

          public static final EnumSegments HL7_SEG_APR

      Enum constant of APR Segment

    - #### HL7_SEG_OM1

          public static final EnumSegments HL7_SEG_OM1

      Enum constant of OM1 Segment

    - #### HL7_SEG_OM2

          public static final EnumSegments HL7_SEG_OM2

      Enum constant of OM2 Segment

    - #### HL7_SEG_OM3

          public static final EnumSegments HL7_SEG_OM3

      Enum constant of OM3 Segment

    - #### HL7_SEG_OM4

          public static final EnumSegments HL7_SEG_OM4

      Enum constant of OM4 Segment

    - #### HL7_SEG_OM5

          public static final EnumSegments HL7_SEG_OM5

      Enum constant of OM5 Segment

    - #### HL7_SEG_OM6

          public static final EnumSegments HL7_SEG_OM6

      Enum constant of OM6 Segment

    - #### HL7_SEG_OM7

          public static final EnumSegments HL7_SEG_OM7

      Enum constant of OM7 Segment

    - #### HL7_SEG_OMC

          public static final EnumSegments HL7_SEG_OMC

      Enum constant of OMC Segment

    - #### HL7_SEG_PM1

          public static final EnumSegments HL7_SEG_PM1

      Enum constant of PM1 Segment

    - #### HL7_SEG_MCP

          public static final EnumSegments HL7_SEG_MCP

      Enum constant of MCP Segment

    - #### HL7_SEG_DPS

          public static final EnumSegments HL7_SEG_DPS

      Enum constant of DPS Segment

    - #### HL7_SEG_MFI

          public static final EnumSegments HL7_SEG_MFI

      Enum constant of MFI Segment

    - #### HL7_SEG_LDP

          public static final EnumSegments HL7_SEG_LDP

      Enum constant of LDP Segment

    - #### HL7_SEG_LOC

          public static final EnumSegments HL7_SEG_LOC

      Enum constant of LOC Segment

    - #### HL7_SEG_LCH

          public static final EnumSegments HL7_SEG_LCH

      Enum constant of LCH Segment

    - #### HL7_SEG_LRL

          public static final EnumSegments HL7_SEG_LRL

      Enum constant of LRL Segment

    - #### HL7_SEG_LCC

          public static final EnumSegments HL7_SEG_LCC

      Enum constant of LCC Segment

    - #### HL7_SEG_CDM

          public static final EnumSegments HL7_SEG_CDM

      Enum constant of CDM Segment

    - #### HL7_SEG_PRC

          public static final EnumSegments HL7_SEG_PRC

      Enum constant of PRC Segment

    - #### HL7_SEG_MFE

          public static final EnumSegments HL7_SEG_MFE

      Enum constant of MFE Segment

    - #### HL7_SEG_MFA

          public static final EnumSegments HL7_SEG_MFA

      Enum constant of MFA Segment

    - #### HL7_SEG_IIM

          public static final EnumSegments HL7_SEG_IIM

      Enum constant of IIM Segment

    - #### HL7_SEG_ITM

          public static final EnumSegments HL7_SEG_ITM

      Enum constant of ITM Segment

    - #### HL7_SEG_STF

          public static final EnumSegments HL7_SEG_STF

      Enum constant of STF Segment

    - #### HL7_SEG_AFF

          public static final EnumSegments HL7_SEG_AFF

      Enum constant of AFF Segment

    - #### HL7_SEG_CER

          public static final EnumSegments HL7_SEG_CER

      Enum constant of CER Segment

    - #### HL7_SEG_PRA

          public static final EnumSegments HL7_SEG_PRA

      Enum constant of PRA Segment

    - #### HL7_SEG_ORG

          public static final EnumSegments HL7_SEG_ORG

      Enum constant of ORG Segment

    - #### HL7_SEG_LAN

          public static final EnumSegments HL7_SEG_LAN

      Enum constant of LAN Segment

    - #### HL7_SEG_EDU

          public static final EnumSegments HL7_SEG_EDU

      Enum constant of EDU Segment

    - #### HL7_SEG_RDT

          public static final EnumSegments HL7_SEG_RDT

      Enum constant of RDT Segment

    - #### HL7_SEG_NSC

          public static final EnumSegments HL7_SEG_NSC

      Enum constant of NSC Segment

    - #### HL7_SEG_NST

          public static final EnumSegments HL7_SEG_NST

      Enum constant of NST Segment

    - #### HL7_SEG_NCK

          public static final EnumSegments HL7_SEG_NCK

      Enum constant of NCK Segment

    - #### HL7_SEG_EQU

          public static final EnumSegments HL7_SEG_EQU

      Enum constant of EQU Segment

    - #### HL7_SEG_ISD

          public static final EnumSegments HL7_SEG_ISD

      Enum constant of ISD Segment

    - #### HL7_SEG_ECD

          public static final EnumSegments HL7_SEG_ECD

      Enum constant of ECD Segment

    - #### HL7_SEG_ECR

          public static final EnumSegments HL7_SEG_ECR

      Enum constant of ECR Segment

    - #### HL7_SEG_NDS

          public static final EnumSegments HL7_SEG_NDS

      Enum constant of NDS Segment

    - #### HL7_SEG_CNS

          public static final EnumSegments HL7_SEG_CNS

      Enum constant of CNS Segment

    - #### HL7_SEG_TCC

          public static final EnumSegments HL7_SEG_TCC

      Enum constant of TCC Segment

    - #### HL7_SEG_EQP

          public static final EnumSegments HL7_SEG_EQP

      Enum constant of EQP Segment

    - #### HL7_SEG_EQL

          public static final EnumSegments HL7_SEG_EQL

      Enum constant of EQL Segment

    - #### HL7_SEG_ERQ

          public static final EnumSegments HL7_SEG_ERQ

      Enum constant of ERQ Segment

    - #### HL7_SEG_SPR

          public static final EnumSegments HL7_SEG_SPR

      Enum constant of SPR Segment

    - #### HL7_SEG_VTQ

          public static final EnumSegments HL7_SEG_VTQ

      Enum constant of VTQ Segment

    - #### HL7_SEG_BHS

          public static final EnumSegments HL7_SEG_BHS

      Enum constant of BHS Segment

    - #### HL7_SEG_BTS

          public static final EnumSegments HL7_SEG_BTS

      Enum constant of BTS Segment

    - #### HL7_SEG_FHS

          public static final EnumSegments HL7_SEG_FHS

      Enum constant of FHS Segment

    - #### HL7_SEG_FTS

          public static final EnumSegments HL7_SEG_FTS

      Enum constant of FTS Segment

    - #### HL7_SEG_OVR

          public static final EnumSegments HL7_SEG_OVR

      Enum constant of OVR Segment

    - #### HL7_SEG_SGH

          public static final EnumSegments HL7_SEG_SGH

      Enum constant of SGH Segment

    - #### HL7_SEG_SGT

          public static final EnumSegments HL7_SEG_SGT

      Enum constant of SGT Segment

    - #### HL7_SEG_UAC

          public static final EnumSegments HL7_SEG_UAC

      Enum constant of UAC Segment

    - #### HL7_SEG_IAR

          public static final EnumSegments HL7_SEG_IAR

      Enum constant of IAR Segment

    - #### HL7_SEG_ARV

          public static final EnumSegments HL7_SEG_ARV

      Enum constant of ARV Segment

    - #### HL7_SEG_PAC

          public static final EnumSegments HL7_SEG_PAC

      Enum constant of PAC Segment

    - #### HL7_SEG_SHP

          public static final EnumSegments HL7_SEG_SHP

      Enum constant of SHP Segment

    - #### HL7_SEG_PRT

          public static final EnumSegments HL7_SEG_PRT

      Enum constant of PRT Segment

    - #### HL7_SEG_DON

          public static final EnumSegments HL7_SEG_DON

      Enum constant of DON Segment

    - #### HL7_SEG_BUI

          public static final EnumSegments HL7_SEG_BUI

      Enum constant of BUI Segment

    - #### HL7_SEG_STZ

          public static final EnumSegments HL7_SEG_STZ

      Enum constant of STZ Segment

    - #### HL7_SEG_PSS

          public static final EnumSegments HL7_SEG_PSS

      Enum constant of PSS Segment

    - #### HL7_SEG_RFI

          public static final EnumSegments HL7_SEG_RFI

      Enum constant of RFI Segment

    - #### HL7_SEG_IVC

          public static final EnumSegments HL7_SEG_IVC

      Enum constant of IVC Segment

    - #### HL7_SEG_PYE

          public static final EnumSegments HL7_SEG_PYE

      Enum constant of PYE Segment

    - #### HL7_SEG_PSG

          public static final EnumSegments HL7_SEG_PSG

      Enum constant of PSG Segment

    - #### HL7_SEG_PSL

          public static final EnumSegments HL7_SEG_PSL

      Enum constant of PSL Segment

    - #### HL7_SEG_ADJ

          public static final EnumSegments HL7_SEG_ADJ

      Enum constant of ADJ Segment

    - #### HL7_SEG_PMT

          public static final EnumSegments HL7_SEG_PMT

      Enum constant of PMT Segment

    - #### HL7_SEG_IPR

          public static final EnumSegments HL7_SEG_IPR

      Enum constant of IPR Segment

    - #### HL7_SEG_SCP

          public static final EnumSegments HL7_SEG_SCP

      Enum constant of SCP Segment

    - #### HL7_SEG_SLT

          public static final EnumSegments HL7_SEG_SLT

      Enum constant of SLT Segment

    - #### HL7_SEG_SDD

          public static final EnumSegments HL7_SEG_SDD

      Enum constant of SDD Segment

    - #### HL7_SEG_SCD

          public static final EnumSegments HL7_SEG_SCD

      Enum constant of SCD Segment

    - #### HL7_SEG_VND

          public static final EnumSegments HL7_SEG_VND

      Enum constant of VND Segment

    - #### HL7_SEG_PKG

          public static final EnumSegments HL7_SEG_PKG

      Enum constant of PKG Segment

    - #### HL7_SEG_PCE

          public static final EnumSegments HL7_SEG_PCE

      Enum constant of PCE Segment

    - #### HL7_SEG_IVT

          public static final EnumSegments HL7_SEG_IVT

      Enum constant of IVT Segment

    - #### HL7_SEG_ILT

          public static final EnumSegments HL7_SEG_ILT

      Enum constant of ILT Segment

    - #### HL7_GROUP_VISIT

          public static final EnumSegments HL7_GROUP_VISIT

      Enum constant of VISIT Group

    - #### HL7_GROUP_PROCEDURE

          public static final EnumSegments HL7_GROUP_PROCEDURE

      Enum constant of PROCEDURE Group

    - #### HL7_GROUP_CERTIFICATE

          public static final EnumSegments HL7_GROUP_CERTIFICATE

      Enum constant of CERTIFICATE Group

    - #### HL7_GROUP_GENERAL_RESOURCE

          public static final EnumSegments HL7_GROUP_GENERAL_RESOURCE

      Enum constant of GENERAL_RESOURCE Group

    - #### HL7_GROUP_LOCATION_RESOURCE

          public static final EnumSegments HL7_GROUP_LOCATION_RESOURCE

      Enum constant of LOCATION_RESOURCE Group

    - #### HL7_GROUP_PERSONNEL_RESOURCE

          public static final EnumSegments HL7_GROUP_PERSONNEL_RESOURCE

      Enum constant of PERSONNEL_RESOURCE Group

    - #### HL7_GROUP_INSURANCE

          public static final EnumSegments HL7_GROUP_INSURANCE

      Enum constant of INSURANCE Group

    - #### HL7_GROUP_COMMON_ORDER

          public static final EnumSegments HL7_GROUP_COMMON_ORDER

      Enum constant of COMMON_ORDER Group

    - #### HL7_GROUP_TIMING_QUANTITY

          public static final EnumSegments HL7_GROUP_TIMING_QUANTITY

      Enum constant of TIMING_QUANTITY Group

    - #### HL7_GROUP_ORDER

          public static final EnumSegments HL7_GROUP_ORDER

      Enum constant of ORDER Group

    - #### HL7_GROUP_OBSERVATION

          public static final EnumSegments HL7_GROUP_OBSERVATION

      Enum constant of OBSERVATION Group

    - #### HL7_GROUP_SPECIMEN_OBSERVATION

          public static final EnumSegments HL7_GROUP_SPECIMEN_OBSERVATION

      Enum constant of SPECIMEN_OBSERVATION Group

    - #### HL7_GROUP_FINANCIAL

          public static final EnumSegments HL7_GROUP_FINANCIAL

      Enum constant of FINANCIAL Group

    - #### HL7_GROUP_FINANCIAL_PROCEDURE

          public static final EnumSegments HL7_GROUP_FINANCIAL_PROCEDURE

      Enum constant of FINANCIAL_PROCEDURE Group

    - #### HL7_GROUP_FINANCIAL_COMMON_ORDER

          public static final EnumSegments HL7_GROUP_FINANCIAL_COMMON_ORDER

      Enum constant of FINANCIAL_COMMON_ORDER Group

    - #### HL7_GROUP_FINANCIAL_TIMING_QUANTITY

          public static final EnumSegments HL7_GROUP_FINANCIAL_TIMING_QUANTITY

      Enum constant of FINANCIAL_TIMING_QUANTITY Group

    - #### HL7_GROUP_FINANCIAL_ORDER

          public static final EnumSegments HL7_GROUP_FINANCIAL_ORDER

      Enum constant of FINANCIAL_ORDER Group

    - #### HL7_GROUP_FINANCIAL_OBSERVATION

          public static final EnumSegments HL7_GROUP_FINANCIAL_OBSERVATION

      Enum constant of FINANCIAL_OBSERVATION Group

    - #### HL7_GROUP_PATIENT

          public static final EnumSegments HL7_GROUP_PATIENT

      Enum constant of PATIENT Group

    - #### HL7_GROUP_PATIENT_OBSERVATION

          public static final EnumSegments HL7_GROUP_PATIENT_OBSERVATION

      Enum constant of PATIENT_OBSERVATION Group

    - #### HL7_GROUP_MERGE_INFO

          public static final EnumSegments HL7_GROUP_MERGE_INFO

      Enum constant of MERGE_INFO Group

    - #### HL7_GROUP_PATIENT_IDENTIFICATION1

          public static final EnumSegments HL7_GROUP_PATIENT_IDENTIFICATION1

      Enum constant of PATIENT_IDENTIFICATION1 Group

    - #### HL7_GROUP_PATIENT_IDENTIFICATION2

          public static final EnumSegments HL7_GROUP_PATIENT_IDENTIFICATION2

      Enum constant of PATIENT_IDENTIFICATION2 Group

    - #### HL7_GROUP_PATIENT_RESULT

          public static final EnumSegments HL7_GROUP_PATIENT_RESULT

      Enum constant of PATIENT_RESULT Group

    - #### HL7_GROUP_ORDER_OBSERVATION

          public static final EnumSegments HL7_GROUP_ORDER_OBSERVATION

      Enum constant of ORDER_OBSERVATION Group

    - #### HL7_GROUP_SPECIMEN

          public static final EnumSegments HL7_GROUP_SPECIMEN

      Enum constant of SPECIMEN Group

    - #### HL7_GROUP_QUERY_RESPONSE

          public static final EnumSegments HL7_GROUP_QUERY_RESPONSE

      Enum constant of QUERY_RESPONSE Group

    - #### HL7_GROUP_ORDER_DETAIL

          public static final EnumSegments HL7_GROUP_ORDER_DETAIL

      Enum constant of ORDER_DETAIL Group

    - #### HL7_GROUP_PATIENT_VISIT

          public static final EnumSegments HL7_GROUP_PATIENT_VISIT

      Enum constant of PATIENT_VISIT Group

    - #### HL7_GROUP_RESPONSE

          public static final EnumSegments HL7_GROUP_RESPONSE

      Enum constant of RESPONSE Group

    - #### HL7_GROUP_REQUEST

          public static final EnumSegments HL7_GROUP_REQUEST

      Enum constant of REQUEST Group

    - #### HL7_GROUP_RESOURCES

          public static final EnumSegments HL7_GROUP_RESOURCES

      Enum constant of RESOURCES Group

    - #### HL7_GROUP_CONTAINER

          public static final EnumSegments HL7_GROUP_CONTAINER

      Enum constant of CONTAINER Group

    - #### HL7_GROUP_TIMING

          public static final EnumSegments HL7_GROUP_TIMING

      Enum constant of TIMING Group

    - #### HL7_SEG_ORDER_DETAIL

          public static final EnumSegments HL7_SEG_ORDER_DETAIL

      Enum constant of SEG_ORDER_DETAIL Group

    - #### HL7_GROUP_RESULT

          public static final EnumSegments HL7_GROUP_RESULT

      Enum constant of RESULT Group

    - #### HL7_GROUP_RESULTS

          public static final EnumSegments HL7_GROUP_RESULTS

      Enum constant of RESULTS Group

    - #### HL7_GROUP_RESULTS_NOTES

          public static final EnumSegments HL7_GROUP_RESULTS_NOTES

      Enum constant of RESULTS_NOTES Group

    - #### HL7_GROUP_PRIOR_RESULT

          public static final EnumSegments HL7_GROUP_PRIOR_RESULT

      Enum constant of PRIOR_RESULT Group

    - #### HL7_GROUP_PATIENT_PRIOR

          public static final EnumSegments HL7_GROUP_PATIENT_PRIOR

      Enum constant of PATIENT_PRIOR Group

    - #### HL7_GROUP_PATIENT_VISIT_PRIOR

          public static final EnumSegments HL7_GROUP_PATIENT_VISIT_PRIOR

      Enum constant of PATIENT_VISIT_PRIOR Group

    - #### HL7_GROUP_ORDER_PRIOR

          public static final EnumSegments HL7_GROUP_ORDER_PRIOR

      Enum constant of ORDER_PRIOR Group

    - #### HL7_GROUP_TIMING_PRIOR

          public static final EnumSegments HL7_GROUP_TIMING_PRIOR

      Enum constant of TIMING_PRIOR Group

    - #### HL7_GROUP_OBSERVATION_PRIOR

          public static final EnumSegments HL7_GROUP_OBSERVATION_PRIOR

      Enum constant of OBSERVATION_PRIOR Group

    - #### HL7_GROUP_SERVICE

          public static final EnumSegments HL7_GROUP_SERVICE

      Enum constant of SERVICE Group

    - #### HL7_GROUP_STUDY_PHASE

          public static final EnumSegments HL7_GROUP_STUDY_PHASE

      Enum constant of STUDY_PHASE Group

    - #### HL7_GROUP_STUDY_SCHEDULE

          public static final EnumSegments HL7_GROUP_STUDY_SCHEDULE

      Enum constant of STUDY_SCHEDULE Group

    - #### HL7_GROUP_STUDY_OBSERVATION

          public static final EnumSegments HL7_GROUP_STUDY_OBSERVATION

      Enum constant of STUDY_OBSERVATION Group

    - #### HL7_GROUP_STUDY_PHARM

          public static final EnumSegments HL7_GROUP_STUDY_PHARM

      Enum constant of STUDY_PHARM Group

    - #### HL7_GROUP_RX_ADMIN

          public static final EnumSegments HL7_GROUP_RX_ADMIN

      Enum constant of RX_ADMIN Group

    - #### HL7_GROUP_OBSERVATION_REQUEST

          public static final EnumSegments HL7_GROUP_OBSERVATION_REQUEST

      Enum constant of OBSERVATION_REQUEST Group

    - #### HL7_GROUP_EXPERIENCE

          public static final EnumSegments HL7_GROUP_EXPERIENCE

      Enum constant of EXPERIENCE Group

    - #### HL7_GROUP_PEX_OBSERVATION

          public static final EnumSegments HL7_GROUP_PEX_OBSERVATION

      Enum constant of PEX_OBSERVATION Group

    - #### HL7_GROUP_PEX_CAUSE

          public static final EnumSegments HL7_GROUP_PEX_CAUSE

      Enum constant of PEX_CAUSE Group

    - #### HL7_GROUP_RX_ORDER

          public static final EnumSegments HL7_GROUP_RX_ORDER

      Enum constant of RX_ORDER Group

    - #### HL7_GROUP_RX_ADMINISTRATION

          public static final EnumSegments HL7_GROUP_RX_ADMINISTRATION

      Enum constant of RX_ADMINISTRATION Group

    - #### HL7_GROUP_ASSOCIATED_PERSON

          public static final EnumSegments HL7_GROUP_ASSOCIATED_PERSON

      Enum constant of ASSOCIATED_PERSON Group

    - #### HL7_GROUP_AUTHORIZATION

          public static final EnumSegments HL7_GROUP_AUTHORIZATION

      Enum constant of AUTHORIZATION Group

    - #### HL7_GROUP_AUTHORIZATION_CONTACT

          public static final EnumSegments HL7_GROUP_AUTHORIZATION_CONTACT

      Enum constant of AUTHORIZATION_CONTACT Group

    - #### HL7_GROUP_ASSOCIATED_RX_ORDER

          public static final EnumSegments HL7_GROUP_ASSOCIATED_RX_ORDER

      Enum constant of ASSOCIATED_RX_ORDER Group

    - #### HL7_GROUP_NK1_TIMING_QUANTITY

          public static final EnumSegments HL7_GROUP_NK1_TIMING_QUANTITY

      Enum constant of NK1_TIMING_QUANTITY Group

    - #### HL7_GROUP_ASSOCIATED_RX_ADMIN

          public static final EnumSegments HL7_GROUP_ASSOCIATED_RX_ADMIN

      Enum constant of ASSOCIATED_RX_ADMIN Group

    - #### HL7_GROUP_STUDY

          public static final EnumSegments HL7_GROUP_STUDY

      Enum constant of STUDY Group

    - #### HL7_GROUP_NOTIFICATION

          public static final EnumSegments HL7_GROUP_NOTIFICATION

      Enum constant of NOTIFICATION Group

    - #### HL7_GROUP_COMMAND_RESPONSE

          public static final EnumSegments HL7_GROUP_COMMAND_RESPONSE

      Enum constant of COMMAND_RESPONSE Group

    - #### HL7_GROUP_SPECIMEN_CONTAINER

          public static final EnumSegments HL7_GROUP_SPECIMEN_CONTAINER

      Enum constant of SPECIMEN_CONTAINER Group

    - #### HL7_GROUP_COMMAND

          public static final EnumSegments HL7_GROUP_COMMAND

      Enum constant of COMMAND Group

    - #### HL7_GROUP_TEST_CONFIGURATION

          public static final EnumSegments HL7_GROUP_TEST_CONFIGURATION

      Enum constant of TEST_CONFIGURATION Group

    - #### HL7_GROUP_QRY_WITH_DETAIL

          public static final EnumSegments HL7_GROUP_QRY_WITH_DETAIL

      Enum constant of QRY_WITH_DETAIL Group

    - #### HL7_GROUP_CLOCK

          public static final EnumSegments HL7_GROUP_CLOCK

      Enum constant of CLOCK Group

    - #### HL7_GROUP_CLOCK_AND_STATISTICS

          public static final EnumSegments HL7_GROUP_CLOCK_AND_STATISTICS

      Enum constant of CLOCK_AND_STATISTICS Group

    - #### HL7_GROUP_CLOCK_AND_STATS_WITH_NOTES

          public static final EnumSegments HL7_GROUP_CLOCK_AND_STATS_WITH_NOTES

      Enum constant of CLOCK_AND_STATS_WITH_NOTES Group

    - #### HL7_GROUP_CLOCK_AND_STATS_WITH_NOTES_ALT

          public static final EnumSegments HL7_GROUP_CLOCK_AND_STATS_WITH_NOTES_ALT

      Enum constant of CLOCK_AND_STATS_WITH_NOTES_ALT Group

    - #### HL7_GROUP_APP_STATS

          public static final EnumSegments HL7_GROUP_APP_STATS

      Enum constant of APP_STATS Group

    - #### HL7_GROUP_APP_STATUS

          public static final EnumSegments HL7_GROUP_APP_STATUS

      Enum constant of APP_STATUS Group

    - #### HL7_GROUP_ALLERGY

          public static final EnumSegments HL7_GROUP_ALLERGY

      Enum constant of ALLERGY Group

    - #### HL7_GROUP_ORDER_ENCODED

          public static final EnumSegments HL7_GROUP_ORDER_ENCODED

      Enum constant of ORDER_ENCODED Group

    - #### HL7_GROUP_ENCODED_ORDER

          public static final EnumSegments HL7_GROUP_ENCODED_ORDER

      Enum constant of ENCODED_ORDER Group

    - #### HL7_GROUP_TREATMENT

          public static final EnumSegments HL7_GROUP_TREATMENT

      Enum constant of TREATMENT Group

    - #### HL7_GROUP_PROVIDER

          public static final EnumSegments HL7_GROUP_PROVIDER

      Enum constant of PROVIDER Group

    - #### HL7_GROUP_PROVIDER_CONTACT

          public static final EnumSegments HL7_GROUP_PROVIDER_CONTACT

      Enum constant of PROVIDER_CONTACT Group

    - #### HL7_GROUP_GUARANTOR_INSURANCE

          public static final EnumSegments HL7_GROUP_GUARANTOR_INSURANCE

      Enum constant of GUARANTOR_INSURANCE Group

    - #### HL7_GROUP_ORDER_SPECIMEN

          public static final EnumSegments HL7_GROUP_ORDER_SPECIMEN

      Enum constant of ORDER_SPECIMEN Group

    - #### HL7_GROUP_COMPONENT

          public static final EnumSegments HL7_GROUP_COMPONENT

      Enum constant of COMPONENT Group

    - #### HL7_GROUP_TIMING_ENCODED

          public static final EnumSegments HL7_GROUP_TIMING_ENCODED

      Enum constant of TIMING_ENCODED Group

    - #### HL7_GROUP_ENCODING

          public static final EnumSegments HL7_GROUP_ENCODING

      Enum constant of ENCODING Group

    - #### HL7_GROUP_ORDER_DETAIL_SUPPLEMENT

          public static final EnumSegments HL7_GROUP_ORDER_DETAIL_SUPPLEMENT

      Enum constant of ORDER_DETAIL_SUPPLEMENT Group

    - #### HL7_GROUP_DISPENSE

          public static final EnumSegments HL7_GROUP_DISPENSE

      Enum constant of DISPENSE Group

    - #### HL7_GROUP_GIVE

          public static final EnumSegments HL7_GROUP_GIVE

      Enum constant of GIVE Group

    - #### HL7_GROUP_TIMING_GIVE

          public static final EnumSegments HL7_GROUP_TIMING_GIVE

      Enum constant of TIMING_GIVE Group

    - #### HL7_GROUP_ADMINISTRATION

          public static final EnumSegments HL7_GROUP_ADMINISTRATION

      Enum constant of ADMINISTRATION Group

    - #### HL7_GROUP_PRODUCT

          public static final EnumSegments HL7_GROUP_PRODUCT

      Enum constant of PRODUCT Group

    - #### HL7_GROUP_PRODUCT_STATUS

          public static final EnumSegments HL7_GROUP_PRODUCT_STATUS

      Enum constant of PRODUCT_STATUS Group

    - #### HL7_GROUP_DIET

          public static final EnumSegments HL7_GROUP_DIET

      Enum constant of DIET Group

    - #### HL7_GROUP_ORDER_DIET

          public static final EnumSegments HL7_GROUP_ORDER_DIET

      Enum constant of ORDER_DIET Group

    - #### HL7_GROUP_TIMING_DIET

          public static final EnumSegments HL7_GROUP_TIMING_DIET

      Enum constant of TIMING_DIET Group

    - #### HL7_GROUP_ORDER_TRAY

          public static final EnumSegments HL7_GROUP_ORDER_TRAY

      Enum constant of ORDER_TRAY Group

    - #### HL7_GROUP_TIMING_TRAY

          public static final EnumSegments HL7_GROUP_TIMING_TRAY

      Enum constant of TIMING_TRAY Group

    - #### HL7_GROUP_DEFINITION

          public static final EnumSegments HL7_GROUP_DEFINITION

      Enum constant of DEFINITION Group

    - #### HL7_GROUP_MF_STAFF

          public static final EnumSegments HL7_GROUP_MF_STAFF

      Enum constant of MF_STAFF Group

    - #### HL7_GROUP_MF_CDM

          public static final EnumSegments HL7_GROUP_MF_CDM

      Enum constant of MF_CDM Group

    - #### HL7_GROUP_MF_LOCATION

          public static final EnumSegments HL7_GROUP_MF_LOCATION

      Enum constant of MF_LOCATION Group

    - #### HL7_GROUP_MF_LOC_DEPT

          public static final EnumSegments HL7_GROUP_MF_LOC_DEPT

      Enum constant of MF_LOC_DEPT Group

    - #### HL7_GROUP_GOAL

          public static final EnumSegments HL7_GROUP_GOAL

      Enum constant of GOAL Group

    - #### HL7_GROUP_GOAL_ROLE

          public static final EnumSegments HL7_GROUP_GOAL_ROLE

      Enum constant of GOAL_ROL Group

    - #### HL7_GROUP_PATHWAY

          public static final EnumSegments HL7_GROUP_PATHWAY

      Enum constant of PATHWAY Group

    - #### HL7_GROUP_PROBLEM

          public static final EnumSegments HL7_GROUP_PROBLEM

      Enum constant of PROBLEM Group

    - #### HL7_GROUP_PROBLEM_ROLE

          public static final EnumSegments HL7_GROUP_PROBLEM_ROLE

      Enum constant of PROBLEM_ROLE Group

    - #### HL7_GROUP_PROBLEM_OBSERVATION

          public static final EnumSegments HL7_GROUP_PROBLEM_OBSERVATION

      Enum constant of PROBLEM_OBSERVATION Group

    - #### HL7_GROUP_PATHWAY_ROLE

          public static final EnumSegments HL7_GROUP_PATHWAY_ROLE

      Enum constant of GROUP_PATHWAY_ROLE Group

    - #### HL7_GROUP_GOAL_OBSERVATION

          public static final EnumSegments HL7_GROUP_GOAL_OBSERVATION

      Enum constant of GOAL_OBSERVATION Group

    - #### HL7_GROUP_GOAL_PATHWAY

          public static final EnumSegments HL7_GROUP_GOAL_PATHWAY

      Enum constant of GOAL_PATHWAY Group

    - #### HL7_GROUP_PROBLEM_PATHWAY

          public static final EnumSegments HL7_GROUP_PROBLEM_PATHWAY

      Enum constant of PROBLEM_PATHWAY Group

    - #### HL7_GROUP_SCHEDULE

          public static final EnumSegments HL7_GROUP_SCHEDULE

      Enum constant of SCHEDULE Group

    - #### HL7_GROUP_MF_CLIN_STUDY

          public static final EnumSegments HL7_GROUP_MF_CLIN_STUDY

      Enum constant of MF_CLIN_STUDY Group

    - #### HL7_GROUP_MF_PHASE_SCHED_DETAIL

          public static final EnumSegments HL7_GROUP_MF_PHASE_SCHED_DETAIL

      Enum constant of MF_PHASE_SCHED_DETAIL Group

    - #### HL7_GROUP_MF_CLIN_STUDY_SCHED

          public static final EnumSegments HL7_GROUP_MF_CLIN_STUDY_SCHED

      Enum constant of MF_CLIN_STUDY_SCHED Group

    - #### HL7_GROUP_MF_TEST_NUMERIC

          public static final EnumSegments HL7_GROUP_MF_TEST_NUMERIC

      Enum constant of MF_TEST_NUMERIC Group

    - #### HL7_GROUP_MF_TEST_CATEGORICAL

          public static final EnumSegments HL7_GROUP_MF_TEST_CATEGORICAL

      Enum constant of MF_TEST_CATEGORICAL Group

    - #### HL7_GROUP_MF_TEST_CAT_DETAIL

          public static final EnumSegments HL7_GROUP_MF_TEST_CAT_DETAIL

      Enum constant of MF_TEST_CAT_DETAIL Group

    - #### HL7_GROUP_MF_TEST_BATTERIES

          public static final EnumSegments HL7_GROUP_MF_TEST_BATTERIES

      Enum constant of MF_TEST_BATTERIES Group

    - #### HL7_GROUP_MF_TEST_BATT_DETAIL

          public static final EnumSegments HL7_GROUP_MF_TEST_BATT_DETAIL

      Enum constant of MF_TEST_BATT_DETAIL Group

    - #### HL7_GROUP_MF_TEST_CALCULATED

          public static final EnumSegments HL7_GROUP_MF_TEST_CALCULATED

      Enum constant of MF_TEST_CALCULATED Group

    - #### HL7_GROUP_MF_TEST_CALC_DETAIL

          public static final EnumSegments HL7_GROUP_MF_TEST_CALC_DETAIL

      Enum constant of MF_TEST_CALC_DETAIL Group

    - #### HL7_GROUP_MF_OBS_ATTRIBUTES

          public static final EnumSegments HL7_GROUP_MF_OBS_ATTRIBUTES

      Enum constant of MF_OBS_ATTRIBUTES Group

    - #### HL7_GROUP_MF_QUERY

          public static final EnumSegments HL7_GROUP_MF_QUERY

      Enum constant of MF_QUERY Group

    - #### HL7_GROUP_FINANCIAL_INSURANCE

          public static final EnumSegments HL7_GROUP_FINANCIAL_INSURANCE

      Enum constant of FINANCIAL_INSURANCE Group

    - #### HL7_GROUP_ROW_DEFINITION

          public static final EnumSegments HL7_GROUP_ROW_DEFINITION

      Enum constant of ROW_DEFINITION Group

    - #### HL7_GROUP_STAFF

          public static final EnumSegments HL7_GROUP_STAFF

      Enum constant of STAFF Group

    - #### HL7_GROUP_MF_INV_ITEM

          public static final EnumSegments HL7_GROUP_MF_INV_ITEM

      Enum constant of MF_INV_ITEM Group

    - #### HL7_GROUP_TRIPLE_DOT

          public static final EnumSegments HL7_GROUP_TRIPLE_DOT

    - #### HL7_GROUP_OBR_ETC

          public static final EnumSegments HL7_GROUP_OBR_ETC

    - #### HL7_GROUP_ADVERSE_REACTION

          public static final EnumSegments HL7_GROUP_ADVERSE_REACTION

      Enum constant of ADVERSE_REACTION Group

    - #### HL7_GROUP_GUARANTOR

          public static final EnumSegments HL7_GROUP_GUARANTOR

      Enum constant of GUARANTOR Group

    - #### HL7_GROUP_ORDER_STATUS

          public static final EnumSegments HL7_GROUP_ORDER_STATUS

      Enum constant of ORDER_STATUS Group

    - #### HL7_GROUP_ORDER_DOCUMENT

          public static final EnumSegments HL7_GROUP_ORDER_DOCUMENT

      Enum constant of ORDER_DOCUMENT Group

    - #### HL7_GROUP_PERSON_OBSERVATION

          public static final EnumSegments HL7_GROUP_PERSON_OBSERVATION

      Enum constant of PERSON_OBSERVATION Group

    - #### HL7_GROUP_SHIPPING_OBSERVATION

          public static final EnumSegments HL7_GROUP_SHIPPING_OBSERVATION

      Enum constant of SHIPPING_OBSERVATION Group

    - #### HL7_GROUP_PATIENT_VISIT_OBSERVATION

          public static final EnumSegments HL7_GROUP_PATIENT_VISIT_OBSERVATION

      Enum constant of PATIENT_VISIT_OBSERVATION Group

    - #### HL7_GROUP_ACCESSION_DETAIL

          public static final EnumSegments HL7_GROUP_ACCESSION_DETAIL

      Enum constant of ACCESSION_DETAIL Group

    - #### HL7_GROUP_SHIPMENT

          public static final EnumSegments HL7_GROUP_SHIPMENT

      Enum constant of SHIPMENT Group

    - #### HL7_GROUP_MATERIAL_ITEM_RECORD

          public static final EnumSegments HL7_GROUP_MATERIAL_ITEM_RECORD

      Enum constant of MATERIAL_ITEM_RECORD Group

    - #### HL7_GROUP_MF_DRG

          public static final EnumSegments HL7_GROUP_MF_DRG

      Enum constant of MF_DRG Group

    - #### HL7_GROUP_APPOINTMENT_HISTORY

          public static final EnumSegments HL7_GROUP_APPOINTMENT_HISTORY

      Enum constant of APPOINTMENT_HISTORY Group

    - #### HL7_GROUP_CLINICAL_HISTORY

          public static final EnumSegments HL7_GROUP_CLINICAL_HISTORY

      Enum constant of CLINICAL_HISTORY Group

    - #### HL7_GROUP_MEDICATION_HISTORY

          public static final EnumSegments HL7_GROUP_MEDICATION_HISTORY

      Enum constant of MEDICATION_HISTORY Group

    - #### HL7_SEG_REL

          public static final EnumSegments HL7_SEG_REL

      Enum constant of REL Segment

    - #### HL7_GROUP_CLINICAL_ORDER

          public static final EnumSegments HL7_GROUP_CLINICAL_ORDER

      Enum constant of CLINICAL_ORDER Group

    - #### HL7_GROUP_DONOR

          public static final EnumSegments HL7_GROUP_DONOR

      Enum constant of DONOR Group

    - #### HL7_GROUP_DONATION

          public static final EnumSegments HL7_GROUP_DONATION

      Enum constant of HL7_GROUP_DONATION Group

    - #### HL7_GROUP_DONOR_ORDER

          public static final EnumSegments HL7_GROUP_DONOR_ORDER

      Enum constant of DONOR_ORDER Group

    - #### HL7_GROUP_DONATION_ORDER

          public static final EnumSegments HL7_GROUP_DONATION_ORDER

      Enum constant of DONATION_ORDER Group

    - #### HL7_GROUP_UNKNOWN

          public static final EnumSegments HL7_GROUP_UNKNOWN

      Enum constant of UNKNOWN Group

    - #### HL7_GROUP_PACKAGE

          public static final EnumSegments HL7_GROUP_PACKAGE

      Enum constant of PACKAGE Group

    - #### HL7_GROUP_CONTAINER_OBSERVATION

          public static final EnumSegments HL7_GROUP_CONTAINER_OBSERVATION

      Enum constant of CONTAINER_OBSERVATION Group

    - #### HL7_GROUP_SUBJECT_PERSON_OR_ANIMAL_IDENTIFICATION

          public static final EnumSegments HL7_GROUP_SUBJECT_PERSON_OR_ANIMAL_IDENTIFICATION

      Enum constant of SUBJECT_PERSON_OR_ANIMAL_IDENTIFICATION Group

    - #### HL7_GROUP_SUBJECT_POPULATION_OR_LOCATION_IDENTIFICATION

          public static final EnumSegments HL7_GROUP_SUBJECT_POPULATION_OR_LOCATION_IDENTIFICATION

      Enum constant of SUBJECT_POPULATION_OR_LOCATION_IDENTIFICATION Group

    - #### HL7_GROUP_ASSOCIATED_OBSERVATION

          public static final EnumSegments HL7_GROUP_ASSOCIATED_OBSERVATION

      Enum constant of ASSOCIATED_OBSERVATION Group

    - #### HL7_GROUP_MF_OBS_OTHER_ATTRIBUTES

          public static final EnumSegments HL7_GROUP_MF_OBS_OTHER_ATTRIBUTES

      Enum constant of MF_OBS_OTHER_ATTRIBUTES Group

    - #### HL7_GROUP_ANTI_MICROBIAL_DEVICE_DATA

          public static final EnumSegments HL7_GROUP_ANTI_MICROBIAL_DEVICE_DATA

      Enum constant of ANTI_MICROBIAL_DEVICE_DATA Group

    - #### HL7_GROUP_ANTI_MICROBIAL_DEVICE_CYCLE_DATA

          public static final EnumSegments HL7_GROUP_ANTI_MICROBIAL_DEVICE_CYCLE_DATA

      Enum constant of ANTI_MICROBIAL_DEVICE_CYCLE_DATA Group

    - #### HL7_GROUP_ADDITIONAL_DEMOGRAPHICS

          public static final EnumSegments HL7_GROUP_ADDITIONAL_DEMOGRAPHICS

      Enum constant of ADDITIONAL_DEMOGRAPHICS Group

    - #### HL7_GROUP_STERILIZATION

          public static final EnumSegments HL7_GROUP_STERILIZATION

      Enum constant of STERILIZATION Group

    - #### HL7_GROUP_PURCHASING_VENDOR

          public static final EnumSegments HL7_GROUP_PURCHASING_VENDOR

      Enum constant of PURCHASING_VENDOR Group

    - #### HL7_GROUP_DONOR_REGISTRATION

          public static final EnumSegments HL7_GROUP_DONOR_REGISTRATION

      Enum constant of DONOR_REGISTRATION Group

    - #### HL7_GROUP_DONATION_OBSERVATION

          public static final EnumSegments HL7_GROUP_DONATION_OBSERVATION

      Enum constant of DONATION_OBSERVATION Group

    - #### HL7_GROUP_BLOOD_UNIT

          public static final EnumSegments HL7_GROUP_BLOOD_UNIT

      Enum constant of BLOOD_UNIT Group

    - #### HL7_GROUP_SPECIMEN_SHIPMENT

          public static final EnumSegments HL7_GROUP_SPECIMEN_SHIPMENT

      Enum constant of SPECIMEN_SHIPMENT Group

    - #### HL7_GROUP_SHIPMENT_OBSERVATION

          public static final EnumSegments HL7_GROUP_SHIPMENT_OBSERVATION

      Enum constant of SHIPMENT_OBSERVATION Group

    - #### HL7_GROUP_SPECIMEN_IN_PACKAGE

          public static final EnumSegments HL7_GROUP_SPECIMEN_IN_PACKAGE

      Enum constant of SPECIMEN_IN_PACKAGE Group

    - #### HL7_GROUP_SPECIMEN_CONTAINER_IN_PACKAGE

          public static final EnumSegments HL7_GROUP_SPECIMEN_CONTAINER_IN_PACKAGE

      Enum constant of SPECIMEN_CONTAINER_IN_PACKAGE Group

    - #### HL7_GROUP_OBSERVATIONS_ON_PATIENT

          public static final EnumSegments HL7_GROUP_OBSERVATIONS_ON_PATIENT

      Enum constant of OBSERVATIONS_ON_PATIENT Group

    - #### HL7_GROUP_ORDER_RELATED_OBSERVATION

          public static final EnumSegments HL7_GROUP_ORDER_RELATED_OBSERVATION

      Enum constant of ORDER_RELATED_OBSERVATION Group

    - #### HL7_GROUP_OBSERVATION_RESULT

          public static final EnumSegments HL7_GROUP_OBSERVATION_RESULT

      Enum constant of OBSERVATION_RESULT Group

    - #### HL7_GROUP_QBP

          public static final EnumSegments HL7_GROUP_QBP

      Enum constant of QBP Group

    - #### HL7_GROUP_PHARMACY_TREATMENT_INFUSION_ORDER

          public static final EnumSegments HL7_GROUP_PHARMACY_TREATMENT_INFUSION_ORDER

      Enum constant of PHARMACY_TREATMENT_INFUSION_ORDER Group

    - #### HL7_GROUP_CHOICE

          public static final EnumSegments HL7_GROUP_CHOICE

      Enum constant of CHOICE Group

    - #### HL7_GROUP_RESOURCE_DETAIL

          public static final EnumSegments HL7_GROUP_RESOURCE_DETAIL

      Enum constant of RESOURCE_DETAIL Group

    - #### HL7_GROUP_RESOURCE_OBJECT

          public static final EnumSegments HL7_GROUP_RESOURCE_OBJECT

      Enum constant of RESOURCE_OBJECT Group

    - #### HL7_GROUP_RESOURCE_OBSERVATION

          public static final EnumSegments HL7_GROUP_RESOURCE_OBSERVATION

      Enum constant of RESOURCE_OBSERVATION Group

    - #### HL7_GROUP_CLINICAL_HISTORY_DETAIL

          public static final EnumSegments HL7_GROUP_CLINICAL_HISTORY_DETAIL

      Enum constant of CLINICAL_HISTORY_DETAIL Group

    - #### HL7_GROUP_CLINICAL_HISTORY_OBJECT

          public static final EnumSegments HL7_GROUP_CLINICAL_HISTORY_OBJECT

      Enum constant of CLINICAL_HISTORY_OBJECT Group

    - #### HL7_GROUP_CLINICAL_HISTORY_OBSERVATION

          public static final EnumSegments HL7_GROUP_CLINICAL_HISTORY_OBSERVATION

      Enum constant of CLINICAL_HISTORY_OBSERVATION Group

    - #### HL7_GROUP_ROLE_CLINICAL_HISTORY

          public static final EnumSegments HL7_GROUP_ROLE_CLINICAL_HISTORY

      Enum constant of ROLE_CLINICAL_HISTORY Group

    - #### HL7_GROUP_ROLE_CLINICAL_HISTORY_OBJECT

          public static final EnumSegments HL7_GROUP_ROLE_CLINICAL_HISTORY_OBJECT

      Enum constant of ROLE_CLINICAL_HISTORY_OBJECT Group

    - #### HL7_GROUP_MEDICATION_ORDER_DETAIL

          public static final EnumSegments HL7_GROUP_MEDICATION_ORDER_DETAIL

      Enum constant of MEDICATION_ORDER_DETAIL Group

    - #### HL7_GROUP_MEDICATION_ORDER_OBSERVATION

          public static final EnumSegments HL7_GROUP_MEDICATION_ORDER_OBSERVATION

      Enum constant of MEDICATION_ORDER_OBSERVATION Group

    - #### HL7_GROUP_MEDICATION_ENCODING_DETAIL

          public static final EnumSegments HL7_GROUP_MEDICATION_ENCODING_DETAIL

      Enum constant of MEDICATION_ENCODING_DETAIL Group

    - #### HL7_GROUP_MEDICATION_ENCODING_OBSERVATION

          public static final EnumSegments HL7_GROUP_MEDICATION_ENCODING_OBSERVATION

      Enum constant of MEDICATION_ENCODING_OBSERVATION Group

    - #### HL7_GROUP_MEDICATION_ADMINISTRATION_DETAIL

          public static final EnumSegments HL7_GROUP_MEDICATION_ADMINISTRATION_DETAIL

      Enum constant of MEDICATION_ADMINISTRATION_DETAIL Group

    - #### HL7_GROUP_MEDICATION_ADMINISTRATION_OBSERVATION

          public static final EnumSegments HL7_GROUP_MEDICATION_ADMINISTRATION_OBSERVATION

      Enum constant of MEDICATION_ADMINISTRATION_OBSERVATION Group

    - #### HL7_GROUP_ROLE_PROBLEM

          public static final EnumSegments HL7_GROUP_ROLE_PROBLEM

      Enum constant of ROLE_PROBLEM Group

    - #### HL7_GROUP_ROLE_PROBLEM_OBJECT

          public static final EnumSegments HL7_GROUP_ROLE_PROBLEM_OBJECT

      Enum constant of ROLE_PROBLEM_OBJECT Group

    - #### HL7_GROUP_ROLE_GOAL

          public static final EnumSegments HL7_GROUP_ROLE_GOAL

      Enum constant of ROLE_GOAL Group

    - #### HL7_GROUP_ROLE_GOAL_OBJECT

          public static final EnumSegments HL7_GROUP_ROLE_GOAL_OBJECT

      Enum constant of ROLE_GOAL_OBJEC Group

    - #### HL7_GROUP_ROLE_PATHWAY

          public static final EnumSegments HL7_GROUP_ROLE_PATHWAY

      Enum constant of ROLE_PATHWAY Group

    - #### HL7_GROUP_ROLE_PATHWAY_OBJECT

          public static final EnumSegments HL7_GROUP_ROLE_PATHWAY_OBJECT

      Enum constant of ROLE_PATHWAY_OBJECT Group

    - #### HL7_GROUP_PATHWAY_OBSERVATION

          public static final EnumSegments HL7_GROUP_PATHWAY_OBSERVATION

      Enum constant of PATHWAY_OBSERVATION Group

    - #### HL7_GROUP_CLINICAL_ORDER_TIMING

          public static final EnumSegments HL7_GROUP_CLINICAL_ORDER_TIMING

      Enum constant of CLINICAL_ORDER_TIMING Group

    - #### HL7_GROUP_CLINICAL_ORDER_DETAIL

          public static final EnumSegments HL7_GROUP_CLINICAL_ORDER_DETAIL

      Enum constant of CLINICAL_ORDER_DETAIL Group

    - #### HL7_GROUP_CLINICAL_ORDER_OBJECT

          public static final EnumSegments HL7_GROUP_CLINICAL_ORDER_OBJECT

      Enum constant of CLINICAL_ORDER_OBJECT Group

    - #### HL7_GROUP_CLINICAL_ORDER_OBSERVATION

          public static final EnumSegments HL7_GROUP_CLINICAL_ORDER_OBSERVATION

      Enum constant of CLINICAL_ORDER_OBSERVATION Group

    - #### HL7_GROUP_ROLE_OBSERVATION

          public static final EnumSegments HL7_GROUP_ROLE_OBSERVATION

      Enum constant of ROLE_OBSERVATION Group

    - #### HL7_GROUP_PACKAGING

          public static final EnumSegments HL7_GROUP_PACKAGING

      Enum constant of PACKAGING Group

    - #### HL7_GROUP_MATERIAL_LOCATION

          public static final EnumSegments HL7_GROUP_MATERIAL_LOCATION

      Enum constant of MATERIAL_LOCATION Group

    - #### HL7_GROUP_MF_PAYER

          public static final EnumSegments HL7_GROUP_MF_PAYER

      Enum constant of MF_PAYER Group

    - #### HL7_GROUP_PAYER_MF_ENTRY

          public static final EnumSegments HL7_GROUP_PAYER_MF_ENTRY

      Enum constant of PAYER_MF_ENTRY Group

    - #### HL7_GROUP_INVOICE_INFORMATION_SUBMIT

          public static final EnumSegments HL7_GROUP_INVOICE_INFORMATION_SUBMIT

      Enum constant of INVOICE_INFORMATION_SUBMIT Group

    - #### HL7_GROUP_INVOICE_INFORMATION_CANCEL

          public static final EnumSegments HL7_GROUP_INVOICE_INFORMATION_CANCEL

      Enum constant of INVOICE_INFORMATION_CANCEL Group

    - #### HL7_GROUP_REASSESSMENT_REQUEST_INFO

          public static final EnumSegments HL7_GROUP_REASSESSMENT_REQUEST_INFO

      Enum constant of REASSESSMENT_REQUEST_INFO Group

    - #### HL7_GROUP_INVOICE_PROCESSING_RESULTS_INFO

          public static final EnumSegments HL7_GROUP_INVOICE_PROCESSING_RESULTS_INFO

      Enum constant of INVOICE_PROCESSING_RESULTS_INFO Group

    - #### HL7_GROUP_QUERY_INFORMATION

          public static final EnumSegments HL7_GROUP_QUERY_INFORMATION

      Enum constant of QUERY_INFORMATION Group

    - #### HL7_GROUP_QUERY_ACK_IPR

          public static final EnumSegments HL7_GROUP_QUERY_ACK_IPR

      Enum constant of QUERY_ACK_IPR Group

    - #### HL7_GROUP_PAYMENT_REMITTANCE_HEADER_INFO

          public static final EnumSegments HL7_GROUP_PAYMENT_REMITTANCE_HEADER_INFO

      Enum constant of PAYMENT_REMITTANCE_HEADER_INFO

    - #### HL7_GROUP_PAYMENT_REMITTANCE_DETAIL_INFO

          public static final EnumSegments HL7_GROUP_PAYMENT_REMITTANCE_DETAIL_INFO

      Enum constant of PAYMENT_REMITTANCE_DETAIL_INFO Group

    - #### HL7_GROUP_ADJUSTMENT_PAYEE

          public static final EnumSegments HL7_GROUP_ADJUSTMENT_PAYEE

      Enum constant of ADJUSTMENT_PAYEE Group

    - #### HL7_GROUP_AUTHORIZATION_REQUEST

          public static final EnumSegments HL7_GROUP_AUTHORIZATION_REQUEST

      Enum constant of AUTHORIZATION_REQUEST Group

    - #### HL7_GROUP_AUTHORIZATION_RESPONSE_INFO

          public static final EnumSegments HL7_GROUP_AUTHORIZATION_RESPONSE_INFO

      Enum constant of AUTHORIZATION_RESPONSE_INFO Group

    - #### HL7_GROUP_QUERY

          public static final EnumSegments HL7_GROUP_QUERY

      Enum constant of QUERY Group

    - #### HL7_GROUP_QUERY_ACK

          public static final EnumSegments HL7_GROUP_QUERY_ACK

      Enum constant of QUERY_ACK Group

    - #### HL7_GROUP_PRODUCT_SERVICE_SECTION

          public static final EnumSegments HL7_GROUP_PRODUCT_SERVICE_SECTION

      Enum constant of PRODUCT_SERVICE_SECTION Group

    - #### HL7_GROUP_PRODUCT_SERVICE_GROUP

          public static final EnumSegments HL7_GROUP_PRODUCT_SERVICE_GROUP

      Enum constant of PRODUCT_SERVICE Group

    - #### HL7_GROUP_PRODUCT_SERVICE_LINE_INFO

          public static final EnumSegments HL7_GROUP_PRODUCT_SERVICE_LINE_INFO

      Enum constant of PRODUCT_SERVICE_LINE_INFO Group

    - #### HL7_GROUP_PATIENT_INFO

          public static final EnumSegments HL7_GROUP_PATIENT_INFO

      Enum constant of PATIENT_INFO Group

    - #### HL7_GROUP_DIAGNOSIS

          public static final EnumSegments HL7_GROUP_DIAGNOSIS

      Enum constant of DIAGNOSIS Group

    - #### HL7_GROUP_PRODUCT_SERVICE_LINE_ITEM

          public static final EnumSegments HL7_GROUP_PRODUCT_SERVICE_LINE_ITEM

      Enum constant of PRODUCT_SERVICE_LINE_ITEM group

    - #### HL7_GROUP_PSG

          public static final EnumSegments HL7_GROUP_PSG

      Enum constant of PSG Group

    - #### HL7_GROUP_PAT_INFO

          public static final EnumSegments HL7_GROUP_PAT_INFO

      Enum constant of PAT_INFO Group

    - #### HL7_GROUP_AUTHORIZATION_INFO

          public static final EnumSegments HL7_GROUP_AUTHORIZATION_INFO

      Enum constant of AUTHORIZATION_INFO Group

    - #### HL7_GROUP_PSL_ITEM_INFO

          public static final EnumSegments HL7_GROUP_PSL_ITEM_INFO

      Enum constant of PSL_ITEM_INFO Group

    - #### HL7_GROUP_PAYER_MF_COVERAGE

          public static final EnumSegments HL7_GROUP_PAYER_MF_COVERAGE

      Enum constant of PAYER_MF_COVERAGE Group

  - ### Method Detail

    - #### values

          public static EnumSegments[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSegments c : EnumSegments.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSegments valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Specified by:
        `getValue` in interface `ISegmentKey`
      Returns:
        String - string value of Enum Segment on which it is called.